# wxStyledTextCtrl Class Reference
[Scintilla Text Editor]

`#include <wx/stc/stc.h>`

Inheritance diagram for wxStyledTextCtrl:
[legend]

## Detailed Description

A wxWidgets implementation of the Scintilla source code editing component.

As well as features found in standard text editing components, Scintilla includes features especially useful when editing and debugging source code. These include support for syntax styling, error indicators, code completion and call tips.

The selection margin can contain markers like those used in debuggers to indicate breakpoints and the current line. Styling choices are more open than with many editors, allowing the use of proportional fonts, bold and italics, multiple foreground and background colours and multiple fonts.

wxStyledTextCtrl is a 1 to 1 mapping of "raw" scintilla interface, whose documentation can be found in the Scintilla website (http://www.scintilla.org/).

## Events emitted by this class

The following event handler macros redirect the events to member function handlers 'func' with prototypes like:

void handlerFuncName(wxStyledTextEvent& event)
Event macros for events emitted by this class:

- EVT_STC_CHANGE(id, fn):
  TOWRITE
- EVT_STC_STYLENEEDED(id, fn):
  TOWRITE
- EVT_STC_CHARADDED(id, fn):
  TOWRITE
- EVT_STC_SAVEPOINTREACHED(id, fn):
  TOWRITE
- EVT_STC_SAVEPOINTLEFT(id, fn):
  TOWRITE
- EVT_STC_ROMODIFYATTEMPT(id, fn):
  TOWRITE
- EVT_STC_KEY(id, fn):
  TOWRITE
- EVT_STC_DOUBLECLICK(id, fn):
  TOWRITE
- EVT_STC_UPDATEUI(id, fn):
  TOWRITE
- EVT_STC_MODIFIED(id, fn):
  TOWRITE
- EVT_STC_MACRORECORD(id, fn):
  TOWRITE
- EVT_STC_MARGINCLICK(id, fn):
  TOWRITE
- EVT_STC_NEEDSHOWN(id, fn):
  TOWRITE
- EVT_STC_PAINTED(id, fn):
  TOWRITE
- EVT_STC_USERLISTSELECTION(id, fn):
  TOWRITE
- EVT_STC_URIDROPPED(id, fn):
  TOWRITE
- EVT_STC_DWELLSTART(id, fn):
  TOWRITE
- EVT_STC_DWELLEND(id, fn):
  TOWRITE
- EVT_STC_START_DRAG(id, fn):
  TOWRITE
- EVT_STC_DRAG_OVER(id, fn):
  TOWRITE
- EVT_STC_DO_DROP(id, fn):
  TOWRITE
- EVT_STC_ZOOM(id, fn):
  TOWRITE
- EVT_STC_HOTSPOT_CLICK(id, fn):
  TOWRITE
- EVT_STC_HOTSPOT_DCLICK(id, fn):
  TOWRITE
- EVT_STC_CALLTIP_CLICK(id, fn):
  TOWRITE
- EVT_STC_AUTOCOMP_SELECTION(id, fn):
  TOWRITE
- EVT_STC_INDICATOR_CLICK(id, fn):
  TOWRITE
- EVT_STC_INDICATOR_RELEASE(id, fn):
  TOWRITE
- EVT_STC_AUTOCOMP_CANCELLED(id, fn):
  TOWRITE
- EVT_STC_AUTOCOMP_CHAR_DELETED(id, fn):
  TOWRITE

##

Library: wxBase

Category: Scintilla Text Editor

See also:
  wxStyledTextEvent

## Public Member Functions
| wxStyledTextCtrl (wxWindow *parent, wxWindowID id=wxID_ANY, const wxPoint &pos=wxDefaultPosition, const wxSize &size=wxDefaultSize, long style=0, const wxString &name=wxSTCNameStr)
| Ctor.
void | AddRefDocument (void *docPointer)
| Extend life of document.
void | AddStyledText (const wxMemoryBuffer &data)
| Add array of cells to document.
void | AddText (const wxString &text)
| Add text to the document at current position.
void | AddTextRaw (const char *text)
| The following methods are nearly equivalent to their similarly named cousins above.
void | Allocate (int bytes)
| Enlarge the document to a particular size of text bytes.
virtual void | AppendText (const wxString &text)
| Append a string to the end of the document without changing the selection.
void | AppendTextRaw (const char *text)
| Append a string to the end of the document without changing the selection.
bool | AutoCompActive ()
| Is there an auto-completion list visible?
void | AutoCompCancel ()
| Remove the auto-completion list from the screen.
void | AutoCompComplete ()
| User has selected an item so remove the list and insert the selection.
bool | AutoCompGetAutoHide () const
| Retrieve whether or not autocompletion is hidden automatically when nothing matches.
bool | AutoCompGetCancelAtStart () const
| Retrieve whether auto-completion cancelled by backspacing before start.
bool | AutoCompGetChooseSingle () const
| Retrieve whether a single item auto-completion list automatically choose the item.
int | AutoCompGetCurrent ()
| Get currently selected item position in the auto-completion list.
bool | AutoCompGetDropRestOfWord () const
| Retrieve whether or not autocompletion deletes any word characters after the inserted text upon completion.
bool | AutoCompGetIgnoreCase () const
| Retrieve state of ignore case flag.
int | AutoCompGetMaxHeight () const
| Set the maximum height, in rows, of auto-completion and user lists.
int | AutoCompGetMaxWidth () const
| Get the maximum width, in characters, of auto-completion and user lists.
int | AutoCompGetSeparator () const
| Retrieve the auto-completion list separator character.
int | AutoCompGetTypeSeparator () const
| Retrieve the auto-completion list type-separator character.
int | AutoCompPosStart ()
| Retrieve the position of the caret when the auto-completion list was displayed.
void | AutoCompSelect (const wxString &text)
| Select the item in the auto-completion list that starts with a string.
void | AutoCompSetAutoHide (bool autoHide)
| Set whether or not autocompletion is hidden automatically when nothing matches.
void | AutoCompSetCancelAtStart (bool cancel)
| Should the auto-completion list be cancelled if the user backspaces to a position before where the box was created.
void | AutoCompSetChooseSingle (bool chooseSingle)
| Should a single item auto-completion list automatically choose the item.
void | AutoCompSetDropRestOfWord (bool dropRestOfWord)
| Set whether or not autocompletion deletes any word characters after the inserted text upon completion.
void | AutoCompSetFillUps (const wxString &characterSet)
| Define a set of characters that when typed will cause the autocompletion to choose the selected item.
void | AutoCompSetIgnoreCase (bool ignoreCase)
| Set whether case is significant when performing auto-completion searches.
void | AutoCompSetMaxHeight (int rowCount)
| Set the maximum height, in rows, of auto-completion and user lists.
void | AutoCompSetMaxWidth (int characterCount)
| Set the maximum width, in characters, of auto-completion and user lists.
void | AutoCompSetSeparator (int separatorCharacter)
| Change the separator character in the string setting up an auto-completion list.
void | AutoCompSetTypeSeparator (int separatorCharacter)
| Change the type-separator character in the string setting up an auto-completion list.
void | AutoCompShow (int lenEntered, const wxString &itemList)
| Display a auto-completion list.
void | AutoCompStops (const wxString &characterSet)
| Define a set of character that when typed cancel the auto-completion list.
void | BackTab ()
| Dedent the selected lines.
void | BeginUndoAction ()
| Start a sequence of actions that is undone and redone as a unit.
void | BraceBadLight (int pos)
| Highlight the character at a position indicating there is no matching brace.
void | BraceHighlight (int pos1, int pos2)
| Highlight the characters at two positions.
int | BraceMatch (int pos)
| Find the position of a matching brace or INVALID_POSITION if no match.
bool | CallTipActive ()
| Is there an active call tip?
void | CallTipCancel ()
| Remove the call tip from the screen.
int | CallTipPosAtStart ()
| Retrieve the position where the caret was before displaying the call tip.
void | CallTipSetBackground (const wxColour &back)
| Set the background colour for the call tip.
void | CallTipSetForeground (const wxColour &fore)
| Set the foreground colour for the call tip.
void | CallTipSetForegroundHighlight (const wxColour &fore)
| Set the foreground colour for the highlighted part of the call tip.
void | CallTipSetHighlight (int start, int end)
| Highlight a segment of the definition.
void | CallTipShow (int pos, const wxString &definition)
| Show a call tip containing a definition near position pos.
void | CallTipUseStyle (int tabSize)
| Enable use of STYLE_CALLTIP and set call tip tab size in pixels.
virtual bool | CanPaste () const
| Will a paste succeed?
virtual bool | CanRedo () const
| Are there any redoable actions in the undo history?
virtual bool | CanUndo () const
| Are there any undoable actions in the undo history?
void | Cancel ()
| Cancel any modes such as call tip or auto-completion list display.
void | CharLeft ()
| Move caret left one character.
void | CharLeftExtend ()
| Move caret left one character extending selection to new caret position.
void | CharLeftRectExtend ()
| Move caret left one character, extending rectangular selection to new caret position.
void | CharRight ()
| Move caret right one character.
void | CharRightExtend ()
| Move caret right one character extending selection to new caret position.
void | CharRightRectExtend ()
| Move caret right one character, extending rectangular selection to new caret position.
void | ChooseCaretX ()
| Set the last x chosen value to be the caret x position.
virtual void | Clear ()
| Clear the selection.
void | ClearAll ()
| Delete all text in the document.
void | ClearDocumentStyle ()
| Set all style bytes to 0, remove all folding information.
void | ClearRegisteredImages ()
| Clear all the registered images.
void | CmdKeyAssign (int key, int modifiers, int cmd)
| When key+modifier combination km is pressed perform msg.
void | CmdKeyClear (int key, int modifiers)
| When key+modifier combination km is pressed do nothing.
void | CmdKeyClearAll ()
| Drop all key mappings.
void | CmdKeyExecute (int cmd)
| Perform one of the operations defined by the wxSTC_CMD_* constants.
void | Colourise (int start, int end)
| Colourise a segment of the document using the current lexing language.
void | ConvertEOLs (int eolMode)
| Convert all line endings in the document to one mode.
virtual void | Copy ()
| Copy the selection to the clipboard.
void | CopyRange (int start, int end)
| Copy a range of text to the clipboard.
void | CopyText (int length, const wxString &text)
| Copy argument text to the clipboard.
bool | Create (wxWindow *parent, wxWindowID id=wxID_ANY, const wxPoint &pos=wxDefaultPosition, const wxSize &size=wxDefaultSize, long style=0, const wxString &name=wxSTCNameStr)
void * | CreateDocument ()
| Create a new document object.
virtual void | Cut ()
| Cut the selection to the clipboard.
void | DelLineLeft ()
| Delete back from the current position to the start of the line.
void | DelLineRight ()
| Delete forwards from the current position to the end of the line.
void | DelWordLeft ()
| Delete the word to the left of the caret.
void | DelWordRight ()
| Delete the word to the right of the caret.
void | DeleteBack ()
| Delete the selection or if no selection, the character before the caret.
void | DeleteBackNotLine ()
| Delete the selection or if no selection, the character before the caret.
wxDragResult | DoDragOver (wxCoord x, wxCoord y, wxDragResult def)
| Allow for simulating a DnD DragOver.
bool | DoDropText (long x, long y, const wxString &data)
| Allow for simulating a DnD DropText.
int | DocLineFromVisible (int lineDisplay)
| Find the document line of a display line taking hidden lines into account.
void | DocumentEnd ()
| Move caret to last position in document.
void | DocumentEndExtend ()
| Move caret to last position in document extending selection to new caret position.
void | DocumentStart ()
| Move caret to first position in document.
void | DocumentStartExtend ()
| Move caret to first position in document extending selection to new caret position.
void | EditToggleOvertype ()
| Switch from insert to overtype mode or the reverse.
void | EmptyUndoBuffer ()
| Delete the undo history.
void | EndUndoAction ()
| End a sequence of actions that is undone and redone as a unit.
void | EnsureCaretVisible ()
| Ensure the caret is visible.
void | EnsureVisible (int line)
| Ensure a particular line is visible by expanding any header line hiding it.
void | EnsureVisibleEnforcePolicy (int line)
| Ensure a particular line is visible by expanding any header line hiding it.
int | FindColumn (int line, int column)
| Find the position of a column on a line taking into account tabs and multi-byte characters.
int | FindText (int minPos, int maxPos, const wxString &text, int flags=0)
| Find some text in the document.
void | FormFeed ()
| Insert a Form Feed character.
int | FormatRange (bool doDraw, int startPos, int endPos, wxDC *draw, wxDC *target, wxRect renderRect, wxRect pageRect)
| On Windows, will draw the document into a display context such as a printer.
int | GetAnchor () const
| Returns the position of the opposite end of the selection to the caret.
bool | GetBackSpaceUnIndents () const
| Does a backspace pressed when caret is within indentation unindent?
bool | GetBufferedDraw () const
| Is drawing done first into a buffer or direct to the screen?
wxColour | GetCaretForeground () const
| Get the foreground colour of the caret.
int | GetCaretLineBackAlpha () const
| Get the background alpha of the caret line.
wxColour | GetCaretLineBackground () const
| Get the colour of the background of the line containing the caret.
bool | GetCaretLineVisible () const
| Is the background of the line containing the caret in a different colour?
int | GetCaretPeriod () const
| Get the time in milliseconds that the caret is on and off.
bool | GetCaretSticky () const
| Can the caret preferred x position only be changed by explicit movement commands?
int | GetCaretWidth () const
| Returns the width of the insert mode caret.
int | GetCharAt (int pos) const
| Returns the character byte at the position.
int | GetCodePage () const
| Get the code page used to interpret the bytes of the document as characters.
int | GetColumn (int pos) const
| Retrieve the column number of a position, taking tab width into account.
int | GetControlCharSymbol () const
| Get the way control characters are displayed.
wxString | GetCurLine (int *linePos=NULL)
wxCharBuffer | GetCurLineRaw (int *linePos=NULL)
int | GetCurrentLine ()
| END of generated section Others.
int | GetCurrentPos () const
| Returns the position of the caret.
void * | GetDocPointer ()
| Retrieve a pointer to the document object.
int | GetEOLMode () const
| Retrieve the current end of line mode - one of CRLF, CR, or LF.
wxColour | GetEdgeColour () const
| Retrieve the colour used in edge indication.
int | GetEdgeColumn () const
| Retrieve the column number which text should be kept within.
int | GetEdgeMode () const
| Retrieve the edge highlight mode.
bool | GetEndAtLastLine () const
| Retrieve whether the maximum scroll position has the last line at the bottom of the view.
int | GetEndStyled () const
| Retrieve the position of the last correctly styled character.
int | GetFirstVisibleLine () const
| Retrieve the display line at the top of the display.
bool | GetFoldExpanded (int line) const
| Is a header line expanded?
int | GetFoldLevel (int line) const
| Retrieve the fold level of a line.
int | GetFoldParent (int line) const
| Find the parent line of a child line.
int | GetHighlightGuide () const
| Get the highlighted indentation guide column.
int | GetIndent () const
| Retrieve indentation size.
int | GetIndentationGuides () const
| Are the indentation guides visible?
int | GetLastChild (int line, int level) const
| Find the last child line of a header line.
bool | GetLastKeydownProcessed ()
| Can be used to prevent the EVT_CHAR handler from adding the char.
int | GetLayoutCache () const
| Retrieve the degree of caching of layout information.
int | GetLength () const
| Returns the number of bytes in the document.
int | GetLexer () const
| Retrieve the lexing language of the document.
wxString | GetLine (int line) const
| Retrieve the contents of a line.
int | GetLineCount () const
| Returns the number of lines in the document.
int | GetLineEndPosition (int line) const
| Get the position after the last visible characters on a line.
int | GetLineIndentPosition (int line) const
| Retrieve the position before the first non indentation character on a line.
int | GetLineIndentation (int line) const
| Retrieve the number of columns that a line is indented.
wxCharBuffer | GetLineRaw (int line)
| Retrieve the contents of a line.
int | GetLineSelEndPosition (int line)
| Retrieve the position of the end of the selection at the given line (INVALID_POSITION if no selection on this line).
int | GetLineSelStartPosition (int line)
| Retrieve the position of the start of the selection at the given line (INVALID_POSITION if no selection on this line).
int | GetLineState (int line) const
| Retrieve the extra styling information for a line.
bool | GetLineVisible (int line) const
| Is a line visible?
int | GetMarginLeft () const
| Returns the size in pixels of the left margin.
int | GetMarginMask (int margin) const
| Retrieve the marker mask of a margin.
int | GetMarginRight () const
| Returns the size in pixels of the right margin.
bool | GetMarginSensitive (int margin) const
| Retrieve the mouse click sensitivity of a margin.
int | GetMarginType (int margin) const
| Retrieve the type of a margin.
int | GetMarginWidth (int margin) const
| Retrieve the width of a margin in pixels.
int | GetMaxLineState () const
| Retrieve the last line number that has line state.
int | GetModEventMask () const
| Get which document modification events are sent to the container.
bool | GetModify () const
| Is the document different from when it was last saved?
bool | GetMouseDownCaptures () const
| Get whether mouse gets captured.
int | GetMouseDwellTime () const
| Retrieve the time the mouse must sit still to generate a mouse dwell event.
bool | GetOvertype () const
| Returns true if overtype mode is active otherwise false is returned.
bool | GetPasteConvertEndings () const
| Get convert-on-paste setting.
int | GetPrintColourMode () const
| Returns the print colour mode.
int | GetPrintMagnification () const
| Returns the print magnification.
int | GetPrintWrapMode () const
| Is printing line wrapped?
wxString | GetProperty (const wxString &key)
| Retrieve a 'property' value previously set with SetProperty.
wxString | GetPropertyExpanded (const wxString &key)
| Retrieve a 'property' value previously set with SetProperty, with '$()' variable replacement on returned buffer.
int | GetPropertyInt (const wxString &key) const
| Retrieve a 'property' value previously set with SetProperty, interpreted as an int AFTER any '$()' variable replacement.
bool | GetReadOnly () const
| In read-only mode?
int | GetSTCCursor () const
| Get cursor type.
bool | GetSTCFocus () const
| Get internal focus flag.
int | GetScrollWidth () const
| Retrieve the document width assumed for scrolling.
int | GetSearchFlags () const
| Get the search flags used by SearchInTarget.
int | GetSelAlpha () const
| Get the alpha of the selection.
wxString | GetSelectedText ()
| Retrieve the selected text.
wxCharBuffer | GetSelectedTextRaw ()
| Retrieve the selected text.
void | GetSelection (int *OUTPUT, int *OUTPUT)
int | GetSelectionEnd () const
| Returns the position at the end of the selection.
int | GetSelectionMode () const
| Get the mode of the current selection.
int | GetSelectionStart () const
| Returns the position at the start of the selection.
int | GetStatus () const
| Get error status.
int | GetStyleAt (int pos) const
| Returns the style byte at the position.
int | GetStyleBits () const
| Retrieve number of bits in style bytes used to hold the lexical state.
int | GetStyleBitsNeeded () const
| Retrieve the number of bits the current lexer needs for styling.
wxMemoryBuffer | GetStyledText (int startPos, int endPos)
| Retrieve a buffer of cells.
bool | GetTabIndents () const
| Does a tab pressed when caret is within indentation indent?
int | GetTabWidth () const
| Retrieve the visible size of a tab.
int | GetTargetEnd () const
| Get the position that ends the target.
int | GetTargetStart () const
| Get the position that starts the target.
wxString | GetText () const
| Retrieve all the text in the document.
int | GetTextLength () const
| Retrieve the number of characters in the document.
wxString | GetTextRange (int startPos, int endPos)
| Retrieve a range of text.
wxCharBuffer | GetTextRangeRaw (int startPos, int endPos)
| Retrieve a range of text.
wxCharBuffer | GetTextRaw ()
| Retrieve all the text in the document.
bool | GetTwoPhaseDraw () const
| Is drawing done in two phases with backgrounds drawn before foregrounds?
bool | GetUndoCollection () const
| Is undo history being collected?
bool | GetUseAntiAliasing ()
| Returns the current UseAntiAliasing setting.
bool | GetUseHorizontalScrollBar () const
| Is the horizontal scroll bar visible?
bool | GetUseTabs () const
| Retrieve whether tabs will be used in indentation.
bool | GetUseVerticalScrollBar () const
| Is the vertical scroll bar visible?
bool | GetViewEOL () const
| Are the end of line characters visible?
int | GetViewWhiteSpace () const
| Are white space characters currently visible? Returns one of SCWS_* constants.
int | GetWrapMode () const
| Retrieve whether text is word wrapped.
int | GetWrapStartIndent () const
| Retrieve the start indent for wrapped lines.
int | GetWrapVisualFlags () const
| Retrieve the display mode of visual flags for wrapped lines.
int | GetWrapVisualFlagsLocation () const
| Retrieve the location of visual flags for wrapped lines.
int | GetXOffset () const
int | GetZoom () const
| Retrieve the zoom level.
void | GotoLine (int line)
| Set caret to start of a line and ensure it is visible.
void | GotoPos (int pos)
| Set caret to a position and ensure it is visible.
void | HideLines (int lineStart, int lineEnd)
| Make a range of lines invisible.
void | HideSelection (bool normal)
| Draw the selection in normal style or with selection highlighted.
void | Home ()
| Move caret to first position on line.
void | HomeDisplay ()
| Move caret to first position on display line.
void | HomeDisplayExtend ()
| Move caret to first position on display line extending selection to new caret position.
void | HomeExtend ()
| Move caret to first position on line extending selection to new caret position.
void | HomeRectExtend ()
| Move caret to first position on line, extending rectangular selection to new caret position.
void | HomeWrap ()
| These are like their namesakes Home(Extend)?, LineEnd(Extend)?, VCHome(Extend)? except they behave differently when word-wrap is enabled: They go first to the start / end of the display line, like (Home|LineEnd)Display The difference is that, the cursor is already at the point, it goes on to the start or end of the document line, as appropriate for (Home|LineEnd|VCHome)(Extend)?.
void | HomeWrapExtend ()
wxColour | IndicatorGetForeground (int indic) const
| Retrieve the foreground colour of an indicator.
int | IndicatorGetStyle (int indic) const
| Retrieve the style of an indicator.
void | IndicatorSetForeground (int indic, const wxColour &fore)
| Set the foreground colour of an indicator.
void | IndicatorSetStyle (int indic, int style)
| Set an indicator to plain, squiggle or TT.
void | InsertText (int pos, const wxString &text)
| Insert string at a position.
void | InsertTextRaw (int pos, const char *text)
| Insert string at a position.
void | LineCopy ()
| Copy the line containing the caret.
void | LineCut ()
| Cut the line containing the caret.
void | LineDelete ()
| Delete the line containing the caret.
void | LineDown ()
| Move caret down one line.
void | LineDownExtend ()
| Move caret down one line extending selection to new caret position.
void | LineDownRectExtend ()
| Move caret down one line, extending rectangular selection to new caret position.
void | LineDuplicate ()
| Duplicate the current line.
void | LineEnd ()
| Move caret to last position on line.
void | LineEndDisplay ()
| Move caret to last position on display line.
void | LineEndDisplayExtend ()
| Move caret to last position on display line extending selection to new caret position.
void | LineEndExtend ()
| Move caret to last position on line extending selection to new caret position.
void | LineEndRectExtend ()
| Move caret to last position on line, extending rectangular selection to new caret position.
void | LineEndWrap ()
void | LineEndWrapExtend ()
int | LineFromPosition (int pos) const
| Retrieve the line containing a position.
int | LineLength (int line) const
| How many characters are on a line, including end of line characters?
void | LineScroll (int columns, int lines)
| Scroll horizontally and vertically.
void | LineScrollDown ()
| Scroll the document down, keeping the caret visible.
void | LineScrollUp ()
| Scroll the document up, keeping the caret visible.
void | LineTranspose ()
| Switch the current line with the previous.
void | LineUp ()
| Move caret up one line.
void | LineUpExtend ()
| Move caret up one line extending selection to new caret position.
void | LineUpRectExtend ()
| Move caret up one line, extending rectangular selection to new caret position.
void | LinesJoin ()
| Join the lines in the target.
int | LinesOnScreen () const
| Retrieves the number of lines completely visible.
void | LinesSplit (int pixelWidth)
| Split the lines in the target into lines that are less wide than pixelWidth where possible.
bool | LoadFile (const wxString &file, int fileType=wxTEXT_TYPE_ANY)
| Load the contents of filename into the editor.
void | LowerCase ()
| Transform the selection to lower case.
int | MarkerAdd (int line, int markerNumber)
| Add a marker to a line, returning an ID which can be used to find or delete the marker.
void | MarkerAddSet (int line, int set)
| Add a set of markers to a line.
void | MarkerDefine (int markerNumber, int markerSymbol, const wxColour &foreground=wxNullColour, const wxColour &background=wxNullColour)
| Set the symbol used for a particular marker number, and optionally the fore and background colours.
void | MarkerDefineBitmap (int markerNumber, const wxBitmap &bmp)
| Define a marker from a bitmap.
void | MarkerDelete (int line, int markerNumber)
| Delete a marker from a line.
void | MarkerDeleteAll (int markerNumber)
| Delete all markers with a particular number from all lines.
void | MarkerDeleteHandle (int handle)
| Delete a marker.
int | MarkerGet (int line)
| Get a bit mask of all the markers set on a line.
int | MarkerLineFromHandle (int handle)
| Retrieve the line number at which a particular marker is located.
int | MarkerNext (int lineStart, int markerMask)
| Find the next line after lineStart that includes a marker in mask.
int | MarkerPrevious (int lineStart, int markerMask)
| Find the previous line before lineStart that includes a marker in mask.
void | MarkerSetAlpha (int markerNumber, int alpha)
| Set the alpha used for a marker that is drawn in the text area, not the margin.
void | MarkerSetBackground (int markerNumber, const wxColour &back)
| Set the background colour used for a particular marker number.
void | MarkerSetForeground (int markerNumber, const wxColour &fore)
| Set the foreground colour used for a particular marker number.
void | MoveCaretInsideView ()
| Move the caret inside current view if it's not there already.
void | NewLine ()
| Insert a new line, may use a CRLF, CR or LF depending on EOL mode.
void | PageDown ()
| Move caret one page down.
void | PageDownExtend ()
| Move caret one page down extending selection to new caret position.
void | PageDownRectExtend ()
| Move caret one page down, extending rectangular selection to new caret position.
void | PageUp ()
| Move caret one page up.
void | PageUpExtend ()
| Move caret one page up extending selection to new caret position.
void | PageUpRectExtend ()
| Move caret one page up, extending rectangular selection to new caret position.
void | ParaDown ()
| Move caret between paragraphs (delimited by empty lines).
void | ParaDownExtend ()
void | ParaUp ()
void | ParaUpExtend ()
virtual void | Paste ()
| Paste the contents of the clipboard into the document replacing the selection.
wxPoint | PointFromPosition (int pos)
| Retrieve the point in the window where a position is displayed.
int | PositionAfter (int pos)
| Given a valid document position, return the next position taking code page into account.
int | PositionBefore (int pos)
| Given a valid document position, return the previous position taking code page into account.
int | PositionFromLine (int line) const
| Retrieve the position at the start of a line.
int | PositionFromPoint (wxPoint pt) const
| Find the position from a point within the window.
int | PositionFromPointClose (int x, int y)
| Find the position from a point within the window but return INVALID_POSITION if not close to text.
virtual void | Redo ()
| Redoes the next action on the undo history.
void | RegisterImage (int type, const wxBitmap &bmp)
| Register an image for use in autocompletion lists.
void | ReleaseDocument (void *docPointer)
| Release a reference to the document, deleting document if it fades to black.
void | ReplaceSelection (const wxString &text)
| Replace the selected text with the argument text.
int | ReplaceTarget (const wxString &text)
| Replace the target text with the argument text.
int | ReplaceTargetRE (const wxString &text)
| Replace the target text with the argument text after d processing.
bool | SaveFile (const wxString &file=wxEmptyString, int fileType=wxTEXT_TYPE_ANY)
| Write the contents of the editor to filename.
void | ScrollToColumn (int column)
| Scroll enough to make the given column visible.
void | ScrollToLine (int line)
| Scroll enough to make the given line visible.
void | SearchAnchor ()
| Sets the current caret position to be the search anchor.
int | SearchInTarget (const wxString &text)
| Search for a counted string in the target and set the target to the found range.
int | SearchNext (int flags, const wxString &text)
| Find some text starting at the search anchor.
int | SearchPrev (int flags, const wxString &text)
| Find some text starting at the search anchor and moving backwards.
virtual void | SelectAll ()
| Select all the text in the document.
void | SelectionDuplicate ()
| Duplicate the selection.
bool | SelectionIsRectangle () const
| Is the selection rectangular? The alternative is the more common stream selection.
wxIntPtr | SendMsg (int msg, wxUIntPtr wp=0, wxIntPtr lp=0) const
| Send a message to Scintilla.
void | SetAnchor (int posAnchor)
| Set the selection anchor to a position.
void | SetBackSpaceUnIndents (bool bsUnIndents)
| Sets whether a backspace pressed when caret is within indentation unindents.
void | SetBufferedDraw (bool buffered)
| If drawing is buffered then each line of text is drawn into a bitmap buffer before drawing it to the screen to avoid flicker.
void | SetCaretForeground (const wxColour &fore)
| Set the foreground colour of the caret.
void | SetCaretLineBackAlpha (int alpha)
| Set background alpha of the caret line.
void | SetCaretLineBackground (const wxColour &back)
| Set the colour of the background of the line containing the caret.
void | SetCaretLineVisible (bool show)
| Display the background of the line containing the caret in a different colour.
void | SetCaretPeriod (int periodMilliseconds)
| Get the time in milliseconds that the caret is on and off.
void | SetCaretSticky (bool useCaretStickyBehaviour)
| Stop the caret preferred x position changing when the user types.
void | SetCaretWidth (int pixelWidth)
| Set the width of the insert mode caret.
void | SetCharsDefault ()
| Reset the set of characters for whitespace and word characters to the defaults.
void | SetCodePage (int codePage)
| Set the code page used to interpret the bytes of the document as characters.
void | SetControlCharSymbol (int symbol)
| Change the way control characters are displayed: If symbol is 32, keep the drawn way, else, use the given character.
void | SetCurrentPos (int pos)
| Sets the position of the caret.
void | SetDocPointer (void *docPointer)
| Change the document object used.
void | SetEOLMode (int eolMode)
| Set the current end of line mode.
void | SetEdgeColour (const wxColour &edgeColour)
| Change the colour used in edge indication.
void | SetEdgeColumn (int column)
| Set the column number of the edge.
void | SetEdgeMode (int mode)
| The edge may be displayed by a line (EDGE_LINE) or by highlighting text that goes beyond it (EDGE_BACKGROUND) or not displayed at all (EDGE_NONE).
void | SetEndAtLastLine (bool endAtLastLine)
| Sets the scroll range so that maximum scroll position has the last line at the bottom of the view (default).
void | SetFoldExpanded (int line, bool expanded)
| Show the children of a header line.
void | SetFoldFlags (int flags)
| Set some style options for folding.
void | SetFoldLevel (int line, int level)
| Set the fold level of a line.
void | SetFoldMarginColour (bool useSetting, const wxColour &back)
| Set the colours used as a chequerboard pattern in the fold margin.
void | SetFoldMarginHiColour (bool useSetting, const wxColour &fore)
void | SetHScrollBar (wxScrollBar *bar)
| Set the horizontal scrollbar to use instead of the ont that's built-in.
void | SetHighlightGuide (int column)
| Set the highlighted indentation guide column.
void | SetHotspotActiveBackground (bool useSetting, const wxColour &back)
| Set a back colour for active hotspots.
void | SetHotspotActiveForeground (bool useSetting, const wxColour &fore)
| Set a fore colour for active hotspots.
void | SetHotspotActiveUnderline (bool underline)
| Enable / Disable underlining active hotspots.
void | SetHotspotSingleLine (bool singleLine)
| Limit hotspots to single line so hotspots on two lines don't merge.
void | SetIndent (int indentSize)
| Set the number of spaces used for one level of indentation.
void | SetIndentationGuides (int indentView)
| Show or hide indentation guides.
void | SetKeyWords (int keywordSet, const wxString &keyWords)
| Set up the key words used by the lexer.
void | SetLastKeydownProcessed (bool val)
void | SetLayoutCache (int mode)
| Sets the degree of caching of layout information.
void | SetLexer (int lexer)
| Set the lexing language of the document.
void | SetLexerLanguage (const wxString &language)
| Set the lexing language of the document based on string name.
void | SetLineIndentation (int line, int indentSize)
| Change the indentation of a line to a number of columns.
void | SetLineState (int line, int state)
| Used to hold extra styling information for each line.
void | SetMarginLeft (int pixelWidth)
| Sets the size in pixels of the left margin.
void | SetMarginMask (int margin, int mask)
| Set a mask that determines which markers are displayed in a margin.
void | SetMarginRight (int pixelWidth)
| Sets the size in pixels of the right margin.
void | SetMarginSensitive (int margin, bool sensitive)
| Make a margin sensitive or insensitive to mouse clicks.
void | SetMarginType (int margin, int marginType)
| Set a margin to be either numeric or symbolic.
void | SetMarginWidth (int margin, int pixelWidth)
| Set the width of a margin to a width expressed in pixels.
void | SetMargins (int left, int right)
| Set the left and right margin in the edit area, measured in pixels.
void | SetModEventMask (int mask)
| Set which document modification events are sent to the container.
void | SetMouseDownCaptures (bool captures)
| Set whether the mouse is captured when its button is pressed.
void | SetMouseDwellTime (int periodMilliseconds)
| Sets the time the mouse must sit still to generate a mouse dwell event.
void | SetOvertype (bool overtype)
| Set to overtype (true) or insert mode.
void | SetPasteConvertEndings (bool convert)
| Enable/Disable convert-on-paste for line endings.
void | SetPrintColourMode (int mode)
| Modify colours when printing for clearer printed text.
void | SetPrintMagnification (int magnification)
| Sets the print magnification added to the point size of each style for printing.
void | SetPrintWrapMode (int mode)
| Set printing to line wrapped (SC_WRAP_WORD) or not line wrapped (SC_WRAP_NONE).
void | SetProperty (const wxString &key, const wxString &value)
| Set up a value that may be used by a lexer for some optional feature.
void | SetReadOnly (bool readOnly)
| Set to read only or read write.
void | SetSTCCursor (int cursorType)
| Sets the cursor to one of the SC_CURSOR* values.
void | SetSTCFocus (bool focus)
| Change internal focus flag.
void | SetSavePoint ()
| Remember the current position in the undo history as the position at which the document was saved.
void | SetScrollWidth (int pixelWidth)
| Sets the document width assumed for scrolling.
void | SetSearchFlags (int flags)
| Set the search flags used by SearchInTarget.
void | SetSelAlpha (int alpha)
| Set the alpha of the selection.
void | SetSelBackground (bool useSetting, const wxColour &back)
| Set the background colour of the main and additional selections and whether to use this setting.
void | SetSelForeground (bool useSetting, const wxColour &fore)
| Set the foreground colour of the main and additional selections and whether to use this setting.
virtual void | SetSelection (long from, long to)
| Select a range of text.
void | SetSelectionEnd (int pos)
| Sets the position that ends the selection - this becomes the currentPosition.
void | SetSelectionMode (int mode)
| Set the selection mode to stream (wxSTC_SEL_STREAM) or rectangular (wxSTC_SEL_RECTANGLE/wxSTC_SEL_THIN) or by lines (wxSTC_SEL_LINES).
void | SetSelectionStart (int pos)
| Sets the position that starts the selection - this becomes the anchor.
void | SetStatus (int statusCode)
| Change error status - 0 = OK.
void | SetStyleBits (int bits)
| Divide each styling byte into lexical class bits (default: 5) and indicator bits (default: 3).
void | SetStyleBytes (int length, char *styleBytes)
| Set the styles for a segment of the document.
void | SetStyling (int length, int style)
| Change style from current styling position for length characters to a style and move the current styling position to after this newly styled segment.
void | SetTabIndents (bool tabIndents)
| Sets whether a tab pressed when caret is within indentation indents.
void | SetTabWidth (int tabWidth)
| Change the visible size of a tab to be a multiple of the width of a space character.
void | SetTargetEnd (int pos)
| Sets the position that ends the target which is used for updating the document without affecting the scroll position.
void | SetTargetStart (int pos)
| Sets the position that starts the target which is used for updating the document without affecting the scroll position.
void | SetText (const wxString &text)
| Replace the contents of the document with the argument text.
void | SetTextRaw (const char *text)
| Replace the contents of the document with the argument text.
void | SetTwoPhaseDraw (bool twoPhase)
| In twoPhaseDraw mode, drawing is performed in two phases, first the background and then the foreground.
void | SetUndoCollection (bool collectUndo)
| Choose between collecting actions into the undo history and discarding them.
void | SetUseAntiAliasing (bool useAA)
| Specify whether anti-aliased fonts should be used.
void | SetUseHorizontalScrollBar (bool show)
| Show or hide the horizontal scroll bar.
void | SetUseTabs (bool useTabs)
| Indentation will only use space characters if useTabs is false, otherwise it will use a combination of tabs and spaces.
void | SetUseVerticalScrollBar (bool show)
| Show or hide the vertical scroll bar.
void | SetVScrollBar (wxScrollBar *bar)
| Set the vertical scrollbar to use instead of the ont that's built-in.
void | SetViewEOL (bool visible)
| Make the end of line characters visible or invisible.
void | SetViewWhiteSpace (int viewWS)
| Make white space characters invisible, always visible or visible outside indentation.
void | SetVisiblePolicy (int visiblePolicy, int visibleSlop)
| Set the way the display area is determined when a particular line is to be moved to by Find, FindNext, GotoLine, etc.
void | SetWhitespaceBackground (bool useSetting, const wxColour &back)
| Set the background colour of all whitespace and whether to use this setting.
void | SetWhitespaceChars (const wxString &characters)
| Set the set of characters making up whitespace for when moving or selecting by word.
void | SetWhitespaceForeground (bool useSetting, const wxColour &fore)
| Set the foreground colour of all whitespace and whether to use this setting.
void | SetWhitespaceSize (int size)
| Set the size of the dots used to mark space characters.
int | GetWhitespaceSize () const
| Get the size of the dots used to mark space characters.
void | SetWordChars (const wxString &characters)
| Set the set of characters making up words for when moving or selecting by word.
void | SetWrapMode (int mode)
| Sets whether text is word wrapped.
void | SetWrapStartIndent (int indent)
| Set the start indent for wrapped lines.
void | SetWrapVisualFlags (int wrapVisualFlags)
| Set the display mode of visual flags for wrapped lines.
void | SetWrapVisualFlagsLocation (int wrapVisualFlagsLocation)
| Set the location of visual flags for wrapped lines.
void | SetXCaretPolicy (int caretPolicy, int caretSlop)
| Set the way the caret is kept visible when going sideway.
void | SetXOffset (int newOffset)
| Get and Set the xOffset (ie, horizontal scroll position).
void | SetYCaretPolicy (int caretPolicy, int caretSlop)
| Set the way the line the caret is on is kept visible.
void | SetZoom (int zoom)
| Set the zoom level.
void | ShowLines (int lineStart, int lineEnd)
| Make a range of lines visible.
void | StartRecord ()
| Start notifying the container of all key presses and commands.
void | StartStyling (int pos, int mask)
| Set the current styling position to pos and the styling mask to mask.
void | StopRecord ()
| Stop notifying the container of all key presses and commands.
void | StutteredPageDown ()
| Move caret to bottom of page, or one page down if already at bottom of page.
void | StutteredPageDownExtend ()
| Move caret to bottom of page, or one page down if already at bottom of page, extending selection to new caret position.
void | StutteredPageUp ()
| Move caret to top of page, or one page up if already at top of page.
void | StutteredPageUpExtend ()
| Move caret to top of page, or one page up if already at top of page, extending selection to new caret position.
void | StyleClearAll ()
| Clear all the styles and make equivalent to the global default style.
void | StyleResetDefault ()
| Reset the default style to its state at startup.
void | StyleSetBackground (int style, const wxColour &back)
| Set the background colour of a style.
void | StyleSetBold (int style, bool bold)
| Set a style to be bold or not.
void | StyleSetCase (int style, int caseForce)
| Set a style to be mixed case, or to force upper or lower case.
void | StyleSetChangeable (int style, bool changeable)
| Set a style to be changeable or not (read only).
void | StyleSetCharacterSet (int style, int characterSet)
| Set the character set of the font in a style.
void | StyleSetEOLFilled (int style, bool filled)
| Set a style to have its end of line filled or not.
void | StyleSetFaceName (int style, const wxString &fontName)
| Set the font of a style.
void | StyleSetFont (int styleNum, wxFont &font)
| Set style size, face, bold, italic, and underline attributes from a wxFont's attributes.
void | StyleSetFontAttr (int styleNum, int size, const wxString &faceName, bool bold, bool italic, bool underline, wxFontEncoding encoding=wxFONTENCODING_DEFAULT)
| Set all font style attributes at once.
void | StyleSetFontEncoding (int style, wxFontEncoding encoding)
| Set the font encoding to be used by a style.
void | StyleSetForeground (int style, const wxColour &fore)
| Set the foreground colour of a style.
void | StyleSetHotSpot (int style, bool hotspot)
| Set a style to be a hotspot or not.
void | StyleSetItalic (int style, bool italic)
| Set a style to be italic or not.
void | StyleSetSize (int style, int sizePoints)
| Set the size of characters of a style.
void | StyleSetSpec (int styleNum, const wxString &spec)
| Extract style settings from a spec-string which is composed of one or more of the following comma separated elements: bold turns on bold italic turns on italics fore:[name or #RRGGBB] sets the foreground colour back:[name or #RRGGBB] sets the background colour face:[facename] sets the font face name to use size:[num] sets the font size in points eol turns on eol filling underline turns on underlining.
void | StyleSetUnderline (int style, bool underline)
| Set a style to be underlined or not.
void | StyleSetVisible (int style, bool visible)
| Set a style to be visible or not.
void | Tab ()
| If selection is empty or all on one line replace the selection with a tab character.
void | TargetFromSelection ()
| Make the target range start and end be the same as the selection range start and end.
int | TextHeight (int line)
| Retrieve the height of a particular line of text in pixels.
int | TextWidth (int style, const wxString &text)
| Measure the pixel width of some text in a particular style.
void | ToggleCaretSticky ()
| Switch between sticky and non-sticky: meant to be bound to a key.
void | ToggleFold (int line)
| Switch a header line between expanded and contracted.
virtual void | Undo ()
| Undo one action in the undo history.
void | UpperCase ()
| Transform the selection to upper case.
void | UsePopUp (bool allowPopUp)
| Set whether a pop up menu is displayed automatically when the user presses the wrong mouse button.
void | UserListShow (int listType, const wxString &itemList)
| Display a list of strings and send notification when user chooses one.
void | VCHome ()
| Move caret to before first visible character on line.
void | VCHomeExtend ()
| Like VCHome but extending selection to new caret position.
void | VCHomeRectExtend ()
| Move caret to before first visible character on line.
void | VCHomeWrap ()
void | VCHomeWrapExtend ()
int | VisibleFromDocLine (int line)
| Find the display line of a document line taking hidden lines into account.
int | WordEndPosition (int pos, bool onlyWordCharacters)
| Get position of end of word.
void | WordLeft ()
| Move caret left one word.
void | WordLeftEnd ()
| Move caret left one word, position cursor at end of word.
void | WordLeftEndExtend ()
| Move caret left one word, position cursor at end of word, extending selection to new caret position.
void | WordLeftExtend ()
| Move caret left one word extending selection to new caret position.
void | WordPartLeft ()
| Move to the previous change in capitalisation.
void | WordPartLeftExtend ()
| Move to the previous change in capitalisation extending selection to new caret position.
void | WordPartRight ()
| Move to the change next in capitalisation.
void | WordPartRightExtend ()
| Move to the next change in capitalisation extending selection to new caret position.
void | WordRight ()
| Move caret right one word.
void | WordRightEnd ()
| Move caret right one word, position cursor at end of word.
void | WordRightEndExtend ()
| Move caret right one word, position cursor at end of word, extending selection to new caret position.
void | WordRightExtend ()
| Move caret right one word extending selection to new caret position.
int | WordStartPosition (int pos, bool onlyWordCharacters)
| Get position of start of word.
int | WrapCount (int line)
| The number of display lines needed to wrap a document line.
void | ZoomIn ()
| Magnify the displayed text by increasing the sizes by 1 point.
void | ZoomOut ()
| Make the displayed text smaller by decreasing the sizes by 1 point.
void | SetWrapIndentMode (int mode)
| Sets how wrapped sublines are placed.
int | GetWrapIndentMode () const
| Retrieve how wrapped sublines are placed.
void | SetFirstVisibleLine (int lineDisplay)
| Scroll so that a display line is at the top of the display.
void | CopyAllowLine ()
| Copy the selection, if selection empty copy the line with the caret.
const char * | GetCharacterPointer ()
| Compact the document buffer and return a read-only pointer to the characters in the document.
void | SetKeysUnicode (bool keysUnicode)
| Always interpret keyboard input as Unicode.
bool | GetKeysUnicode () const
| Are keys always interpreted as Unicode?
void | IndicatorSetAlpha (int indicator, int alpha)
| Set the alpha fill colour of the given indicator.
int | IndicatorGetAlpha (int indicator) const
| Get the alpha fill colour of the given indicator.
void | SetExtraAscent (int extraAscent)
| Set extra ascent for each line.
int | GetExtraAscent () const
| Get extra ascent for each line.
void | SetExtraDescent (int extraDescent)
| Set extra descent for each line.
int | GetExtraDescent () const
| Get extra descent for each line.
int | GetMarkerSymbolDefined (int markerNumber)
| Which symbol was defined for markerNumber with MarkerDefine.
void | MarginSetText (int line, const wxString &text)
| Set the text in the text margin for a line.
wxString | MarginGetText (int line) const
| Get the text in the text margin for a line.
void | MarginSetStyle (int line, int style)
| Set the style number for the text margin for a line.
int | MarginGetStyle (int line) const
| Get the style number for the text margin for a line.
void | MarginSetStyles (int line, const wxString &styles)
| Set the style in the text margin for a line.
wxString | MarginGetStyles (int line) const
| Get the styles in the text margin for a line.
void | MarginTextClearAll ()
| Clear the margin text on all lines.
void | MarginSetStyleOffset (int style)
| Get the start of the range of style numbers used for margin text.
int | MarginGetStyleOffset () const
| Get the start of the range of style numbers used for margin text.
void | AnnotationSetText (int line, const wxString &text)
| Set the annotation text for a line.
wxString | AnnotationGetText (int line) const
| Get the annotation text for a line.
void | AnnotationSetStyle (int line, int style)
| Set the style number for the annotations for a line.
int | AnnotationGetStyle (int line) const
| Get the style number for the annotations for a line.
void | AnnotationSetStyles (int line, const wxString &styles)
| Set the annotation styles for a line.
wxString | AnnotationGetStyles (int line) const
| Get the annotation styles for a line.
int | AnnotationGetLines (int line) const
| Get the number of annotation lines for a line.
void | AnnotationClearAll ()
| Clear the annotations from all lines.
void | AnnotationSetVisible (int visible)
| Set the visibility for the annotations for a view.
int | AnnotationGetVisible () const
| Get the visibility for the annotations for a view.
void | AnnotationSetStyleOffset (int style)
| Get the start of the range of style numbers used for annotations.
int | AnnotationGetStyleOffset () const
| Get the start of the range of style numbers used for annotations.
void | AddUndoAction (int token, int flags)
| Add a container action to the undo stack.
int | CharPositionFromPoint (int x, int y)
| Find the position of a character from a point within the window.
int | CharPositionFromPointClose (int x, int y)
| Find the position of a character from a point within the window.
void | SetMultipleSelection (bool multipleSelection)
| Set whether multiple selections can be made.
bool | GetMultipleSelection () const
| Whether multiple selections can be made.
void | SetAdditionalSelectionTyping (bool additionalSelectionTyping)
| Set whether typing can be performed into multiple selections.
bool | GetAdditionalSelectionTyping () const
| Whether typing can be performed into multiple selections.
void | SetAdditionalCaretsBlink (bool additionalCaretsBlink)
| Set whether additional carets will blink.
bool | GetAdditionalCaretsBlink () const
| Whether additional carets will blink.
void | SetAdditionalCaretsVisible (bool additionalCaretsBlink)
| Set whether additional carets are visible.
bool | GetAdditionalCaretsVisible () const
| Whether additional carets are visible.
int | GetSelections () const
| How many selections are there?
void | ClearSelections ()
| Clear selections to a single empty stream selection.
int | AddSelection (int caret, int anchor)
| Add a selection.
void | SetMainSelection (int selection)
| Set the main selection.
int | GetMainSelection () const
| Which selection is the main selection.
void | SetSelectionNCaret (int selection, int pos)
int | GetSelectionNCaret (int selection) const
void | SetSelectionNAnchor (int selection, int posAnchor)
int | GetSelectionNAnchor (int selection) const
void | SetSelectionNCaretVirtualSpace (int selection, int space)
int | GetSelectionNCaretVirtualSpace (int selection) const
void | SetSelectionNAnchorVirtualSpace (int selection, int space)
int | GetSelectionNAnchorVirtualSpace (int selection) const
void | SetSelectionNStart (int selection, int pos)
| Sets the position that starts the selection - this becomes the anchor.
int | GetSelectionNStart (int selection) const
| Returns the position at the start of the selection.
void | SetSelectionNEnd (int selection, int pos)
| Sets the position that ends the selection - this becomes the currentPosition.
int | GetSelectionNEnd (int selection) const
| Returns the position at the end of the selection.
void | SetRectangularSelectionCaret (int pos)
int | GetRectangularSelectionCaret () const
void | SetRectangularSelectionAnchor (int posAnchor)
int | GetRectangularSelectionAnchor () const
void | SetRectangularSelectionCaretVirtualSpace (int space)
int | GetRectangularSelectionCaretVirtualSpace () const
void | SetRectangularSelectionAnchorVirtualSpace (int space)
int | GetRectangularSelectionAnchorVirtualSpace () const
void | SetVirtualSpaceOptions (int virtualSpaceOptions)
int | GetVirtualSpaceOptions () const
void | SetRectangularSelectionModifier (int modifier)
| Select the modifier key to use for mouse-based rectangular selection.
int | GetRectangularSelectionModifier () const
| Get the modifier key used for rectangular selection.
void | SetAdditionalSelForeground (const wxColour &fore)
| Set the foreground colour of additional selections.
void | SetAdditionalSelBackground (const wxColour &back)
| Set the background colour of additional selections.
void | SetAdditionalSelAlpha (int alpha)
| Set the alpha of the selection.
int | GetAdditionalSelAlpha () const
| Get the alpha of the selection.
void | SetAdditionalCaretForeground (const wxColour &fore)
| Set the foreground colour of additional carets.
wxColour | GetAdditionalCaretForeground () const
| Get the foreground colour of additional carets.
void | RotateSelection ()
| Set the main selection to the next selection.
void | SwapMainAnchorCaret ()
| Swap that caret and anchor of the main selection.
## Static Public Member Functions
static wxVersionInfo | GetLibraryVersionInfo ()
| Get Scintilla library version information.

List of all members.

## Constructor & Destructor Documentation

wxStyledTextCtrl::wxStyledTextCtrl | ( | wxWindow * | parent,
|  | wxWindowID | id = `wxID_ANY`,
|  | const wxPoint & | pos = `wxDefaultPosition`,
|  | const wxSize & | size = `wxDefaultSize`,
|  | long | style = `0`,
|  | const wxString & | name = `wxSTCNameStr` |
| ) |  |  |

Ctor.

## Member Function Documentation

void wxStyledTextCtrl::AddRefDocument | ( | void * | docPointer | ) |

Extend life of document.

int wxStyledTextCtrl::AddSelection | ( | int | caret,
|  | int | anchor |
| ) |  |  |

Add a selection.

void wxStyledTextCtrl::AddStyledText | ( | const wxMemoryBuffer & | data | ) |

Add array of cells to document.

void wxStyledTextCtrl::AddText | ( | const wxString & | text | ) |

Add text to the document at current position.

void wxStyledTextCtrl::AddTextRaw | ( | const char * | text | ) |

The following methods are nearly equivalent to their similarly named cousins above.

The difference is that these methods bypass wxString and always use a char* even if used in a unicode build of wxWidgets. In that case the character data will be utf-8 encoded since that is what is used internally by Scintilla in unicode builds. Add text to the document at current position.

void wxStyledTextCtrl::AddUndoAction | ( | int | token,
|  | int | flags |
| ) |  |  |

Add a container action to the undo stack.

void wxStyledTextCtrl::Allocate | ( | int | bytes | ) |

Enlarge the document to a particular size of text bytes.

void wxStyledTextCtrl::AnnotationClearAll | ( |  | ) |

Clear the annotations from all lines.

int wxStyledTextCtrl::AnnotationGetLines | ( | int | line | ) | const

Get the number of annotation lines for a line.

int wxStyledTextCtrl::AnnotationGetStyle | ( | int | line | ) | const

Get the style number for the annotations for a line.

int wxStyledTextCtrl::AnnotationGetStyleOffset | ( |  | ) | const

Get the start of the range of style numbers used for annotations.

wxString wxStyledTextCtrl::AnnotationGetStyles | ( | int | line | ) | const

Get the annotation styles for a line.

wxString wxStyledTextCtrl::AnnotationGetText | ( | int | line | ) | const

Get the annotation text for a line.

int wxStyledTextCtrl::AnnotationGetVisible | ( |  | ) | const

Get the visibility for the annotations for a view.

void wxStyledTextCtrl::AnnotationSetStyle | ( | int | line,
|  | int | style |
| ) |  |  |

Set the style number for the annotations for a line.

void wxStyledTextCtrl::AnnotationSetStyleOffset | ( | int | style | ) |

Get the start of the range of style numbers used for annotations.

void wxStyledTextCtrl::AnnotationSetStyles | ( | int | line,
|  | const wxString & | styles |
| ) |  |  |

Set the annotation styles for a line.

void wxStyledTextCtrl::AnnotationSetText | ( | int | line,
|  | const wxString & | text |
| ) |  |  |

Set the annotation text for a line.

void wxStyledTextCtrl::AnnotationSetVisible | ( | int | visible | ) |

Set the visibility for the annotations for a view.

virtual void wxStyledTextCtrl::AppendText | ( | const wxString & | text | ) | `[virtual]`

Append a string to the end of the document without changing the selection.

void wxStyledTextCtrl::AppendTextRaw | ( | const char * | text | ) |

Append a string to the end of the document without changing the selection.

bool wxStyledTextCtrl::AutoCompActive | ( |  | ) |

Is there an auto-completion list visible?

void wxStyledTextCtrl::AutoCompCancel | ( |  | ) |

Remove the auto-completion list from the screen.

void wxStyledTextCtrl::AutoCompComplete | ( |  | ) |

User has selected an item so remove the list and insert the selection.

bool wxStyledTextCtrl::AutoCompGetAutoHide | ( |  | ) | const

Retrieve whether or not autocompletion is hidden automatically when nothing matches.

bool wxStyledTextCtrl::AutoCompGetCancelAtStart | ( |  | ) | const

Retrieve whether auto-completion cancelled by backspacing before start.

bool wxStyledTextCtrl::AutoCompGetChooseSingle | ( |  | ) | const

Retrieve whether a single item auto-completion list automatically choose the item.

int wxStyledTextCtrl::AutoCompGetCurrent | ( |  | ) |

Get currently selected item position in the auto-completion list.

bool wxStyledTextCtrl::AutoCompGetDropRestOfWord | ( |  | ) | const

Retrieve whether or not autocompletion deletes any word characters after the inserted text upon completion.

bool wxStyledTextCtrl::AutoCompGetIgnoreCase | ( |  | ) | const

Retrieve state of ignore case flag.

int wxStyledTextCtrl::AutoCompGetMaxHeight | ( |  | ) | const

Set the maximum height, in rows, of auto-completion and user lists.

int wxStyledTextCtrl::AutoCompGetMaxWidth | ( |  | ) | const

Get the maximum width, in characters, of auto-completion and user lists.

int wxStyledTextCtrl::AutoCompGetSeparator | ( |  | ) | const

Retrieve the auto-completion list separator character.

int wxStyledTextCtrl::AutoCompGetTypeSeparator | ( |  | ) | const

Retrieve the auto-completion list type-separator character.

int wxStyledTextCtrl::AutoCompPosStart | ( |  | ) |

Retrieve the position of the caret when the auto-completion list was displayed.

void wxStyledTextCtrl::AutoCompSelect | ( | const wxString & | text | ) |

Select the item in the auto-completion list that starts with a string.

void wxStyledTextCtrl::AutoCompSetAutoHide | ( | bool | autoHide | ) |

Set whether or not autocompletion is hidden automatically when nothing matches.

void wxStyledTextCtrl::AutoCompSetCancelAtStart | ( | bool | cancel | ) |

Should the auto-completion list be cancelled if the user backspaces to a position before where the box was created.

void wxStyledTextCtrl::AutoCompSetChooseSingle | ( | bool | chooseSingle | ) |

Should a single item auto-completion list automatically choose the item.

void wxStyledTextCtrl::AutoCompSetDropRestOfWord | ( | bool | dropRestOfWord | ) |

Set whether or not autocompletion deletes any word characters after the inserted text upon completion.

void wxStyledTextCtrl::AutoCompSetFillUps | ( | const wxString & | characterSet | ) |

Define a set of characters that when typed will cause the autocompletion to choose the selected item.

void wxStyledTextCtrl::AutoCompSetIgnoreCase | ( | bool | ignoreCase | ) |

Set whether case is significant when performing auto-completion searches.

void wxStyledTextCtrl::AutoCompSetMaxHeight | ( | int | rowCount | ) |

Set the maximum height, in rows, of auto-completion and user lists.

The default is 5 rows.

void wxStyledTextCtrl::AutoCompSetMaxWidth | ( | int | characterCount | ) |

Set the maximum width, in characters, of auto-completion and user lists.

Set to 0 to autosize to fit longest item, which is the default.

void wxStyledTextCtrl::AutoCompSetSeparator | ( | int | separatorCharacter | ) |

Change the separator character in the string setting up an auto-completion list.

Default is space but can be changed if items contain space.

void wxStyledTextCtrl::AutoCompSetTypeSeparator | ( | int | separatorCharacter | ) |

Change the type-separator character in the string setting up an auto-completion list.

Default is '?' but can be changed if items contain '?'.

void wxStyledTextCtrl::AutoCompShow | ( | int | lenEntered,
|  | const wxString & | itemList |
| ) |  |  |

Display a auto-completion list.

The lenEntered parameter indicates how many characters before the caret should be used to provide context.

void wxStyledTextCtrl::AutoCompStops | ( | const wxString & | characterSet | ) |

Define a set of character that when typed cancel the auto-completion list.

void wxStyledTextCtrl::BackTab | ( |  | ) |

Dedent the selected lines.

void wxStyledTextCtrl::BeginUndoAction | ( |  | ) |

Start a sequence of actions that is undone and redone as a unit.

May be nested.

void wxStyledTextCtrl::BraceBadLight | ( | int | pos | ) |

Highlight the character at a position indicating there is no matching brace.

void wxStyledTextCtrl::BraceHighlight | ( | int | pos1,
|  | int | pos2 |
| ) |  |  |

Highlight the characters at two positions.

int wxStyledTextCtrl::BraceMatch | ( | int | pos | ) |

Find the position of a matching brace or INVALID_POSITION if no match.

bool wxStyledTextCtrl::CallTipActive | ( |  | ) |

Is there an active call tip?

void wxStyledTextCtrl::CallTipCancel | ( |  | ) |

Remove the call tip from the screen.

int wxStyledTextCtrl::CallTipPosAtStart | ( |  | ) |

Retrieve the position where the caret was before displaying the call tip.

void wxStyledTextCtrl::CallTipSetBackground | ( | const wxColour & | back | ) |

Set the background colour for the call tip.

void wxStyledTextCtrl::CallTipSetForeground | ( | const wxColour & | fore | ) |

Set the foreground colour for the call tip.

void wxStyledTextCtrl::CallTipSetForegroundHighlight | ( | const wxColour & | fore | ) |

Set the foreground colour for the highlighted part of the call tip.

void wxStyledTextCtrl::CallTipSetHighlight | ( | int | start,
|  | int | end |
| ) |  |  |

Highlight a segment of the definition.

void wxStyledTextCtrl::CallTipShow | ( | int | pos,
|  | const wxString & | definition |
| ) |  |  |

Show a call tip containing a definition near position pos.

void wxStyledTextCtrl::CallTipUseStyle | ( | int | tabSize | ) |

Enable use of STYLE_CALLTIP and set call tip tab size in pixels.

void wxStyledTextCtrl::Cancel | ( |  | ) |

Cancel any modes such as call tip or auto-completion list display.

virtual bool wxStyledTextCtrl::CanPaste | ( |  | ) | const`[virtual]`

Will a paste succeed?

virtual bool wxStyledTextCtrl::CanRedo | ( |  | ) | const`[virtual]`

Are there any redoable actions in the undo history?

virtual bool wxStyledTextCtrl::CanUndo | ( |  | ) | const`[virtual]`

Are there any undoable actions in the undo history?

void wxStyledTextCtrl::CharLeft | ( |  | ) |

Move caret left one character.

void wxStyledTextCtrl::CharLeftExtend | ( |  | ) |

Move caret left one character extending selection to new caret position.

void wxStyledTextCtrl::CharLeftRectExtend | ( |  | ) |

Move caret left one character, extending rectangular selection to new caret position.

int wxStyledTextCtrl::CharPositionFromPoint | ( | int | x,
|  | int | y |
| ) |  |  |

Find the position of a character from a point within the window.

int wxStyledTextCtrl::CharPositionFromPointClose | ( | int | x,
|  | int | y |
| ) |  |  |

Find the position of a character from a point within the window.

Return INVALID_POSITION if not close to text.

void wxStyledTextCtrl::CharRight | ( |  | ) |

Move caret right one character.

void wxStyledTextCtrl::CharRightExtend | ( |  | ) |

Move caret right one character extending selection to new caret position.

void wxStyledTextCtrl::CharRightRectExtend | ( |  | ) |

Move caret right one character, extending rectangular selection to new caret position.

void wxStyledTextCtrl::ChooseCaretX | ( |  | ) |

Set the last x chosen value to be the caret x position.

virtual void wxStyledTextCtrl::Clear | ( |  | ) | `[virtual]`

Clear the selection.

void wxStyledTextCtrl::ClearAll | ( |  | ) |

Delete all text in the document.

void wxStyledTextCtrl::ClearDocumentStyle | ( |  | ) |

Set all style bytes to 0, remove all folding information.

void wxStyledTextCtrl::ClearRegisteredImages | ( |  | ) |

Clear all the registered images.

void wxStyledTextCtrl::ClearSelections | ( |  | ) |

Clear selections to a single empty stream selection.

void wxStyledTextCtrl::CmdKeyAssign | ( | int | key,
|  | int | modifiers,
|  | int | cmd |
| ) |  |  |

When key+modifier combination km is pressed perform msg.

void wxStyledTextCtrl::CmdKeyClear | ( | int | key,
|  | int | modifiers |
| ) |  |  |

When key+modifier combination km is pressed do nothing.

void wxStyledTextCtrl::CmdKeyClearAll | ( |  | ) |

Drop all key mappings.

void wxStyledTextCtrl::CmdKeyExecute | ( | int | cmd | ) |

Perform one of the operations defined by the wxSTC_CMD_* constants.

void wxStyledTextCtrl::Colourise | ( | int | start,
|  | int | end |
| ) |  |  |

Colourise a segment of the document using the current lexing language.

void wxStyledTextCtrl::ConvertEOLs | ( | int | eolMode | ) |

Convert all line endings in the document to one mode.

virtual void wxStyledTextCtrl::Copy | ( |  | ) | `[virtual]`

Copy the selection to the clipboard.

void wxStyledTextCtrl::CopyAllowLine | ( |  | ) |

Copy the selection, if selection empty copy the line with the caret.

void wxStyledTextCtrl::CopyRange | ( | int | start,
|  | int | end |
| ) |  |  |

Copy a range of text to the clipboard.

Positions are clipped into the document.

void wxStyledTextCtrl::CopyText | ( | int | length,
|  | const wxString & | text |
| ) |  |  |

Copy argument text to the clipboard.

bool wxStyledTextCtrl::Create | ( | wxWindow * | parent,
|  | wxWindowID | id = `wxID_ANY`,
|  | const wxPoint & | pos = `wxDefaultPosition`,
|  | const wxSize & | size = `wxDefaultSize`,
|  | long | style = `0`,
|  | const wxString & | name = `wxSTCNameStr` |
| ) |  |  |

Reimplemented from wxWindow.

void* wxStyledTextCtrl::CreateDocument | ( |  | ) |

Create a new document object.

Starts with reference count of 1 and not selected into editor.

virtual void wxStyledTextCtrl::Cut | ( |  | ) | `[virtual]`

Cut the selection to the clipboard.

void wxStyledTextCtrl::DeleteBack | ( |  | ) |

Delete the selection or if no selection, the character before the caret.

void wxStyledTextCtrl::DeleteBackNotLine | ( |  | ) |

Delete the selection or if no selection, the character before the caret.

Will not delete the character before at the start of a line.

void wxStyledTextCtrl::DelLineLeft | ( |  | ) |

Delete back from the current position to the start of the line.

void wxStyledTextCtrl::DelLineRight | ( |  | ) |

Delete forwards from the current position to the end of the line.

void wxStyledTextCtrl::DelWordLeft | ( |  | ) |

Delete the word to the left of the caret.

void wxStyledTextCtrl::DelWordRight | ( |  | ) |

Delete the word to the right of the caret.

int wxStyledTextCtrl::DocLineFromVisible | ( | int | lineDisplay | ) |

Find the document line of a display line taking hidden lines into account.

void wxStyledTextCtrl::DocumentEnd | ( |  | ) |

Move caret to last position in document.

void wxStyledTextCtrl::DocumentEndExtend | ( |  | ) |

Move caret to last position in document extending selection to new caret position.

void wxStyledTextCtrl::DocumentStart | ( |  | ) |

Move caret to first position in document.

void wxStyledTextCtrl::DocumentStartExtend | ( |  | ) |

Move caret to first position in document extending selection to new caret position.

wxDragResult wxStyledTextCtrl::DoDragOver | ( | wxCoord | x,
|  | wxCoord | y,
|  | wxDragResult | def |
| ) |  |  |

Allow for simulating a DnD DragOver.

bool wxStyledTextCtrl::DoDropText | ( | long | x,
|  | long | y,
|  | const wxString & | data |
| ) |  |  |

Allow for simulating a DnD DropText.

void wxStyledTextCtrl::EditToggleOvertype | ( |  | ) |

Switch from insert to overtype mode or the reverse.

void wxStyledTextCtrl::EmptyUndoBuffer | ( |  | ) |

Delete the undo history.

void wxStyledTextCtrl::EndUndoAction | ( |  | ) |

End a sequence of actions that is undone and redone as a unit.

void wxStyledTextCtrl::EnsureCaretVisible | ( |  | ) |

Ensure the caret is visible.

void wxStyledTextCtrl::EnsureVisible | ( | int | line | ) |

Ensure a particular line is visible by expanding any header line hiding it.

void wxStyledTextCtrl::EnsureVisibleEnforcePolicy | ( | int | line | ) |

Ensure a particular line is visible by expanding any header line hiding it.

Use the currently set visibility policy to determine which range to display.

int wxStyledTextCtrl::FindColumn | ( | int | line,
|  | int | column |
| ) |  |  |

Find the position of a column on a line taking into account tabs and multi-byte characters.

If beyond end of line, return line end position.

int wxStyledTextCtrl::FindText | ( | int | minPos,
|  | int | maxPos,
|  | const wxString & | text,
|  | int | flags = `0` |
| ) |  |  |

Find some text in the document.

int wxStyledTextCtrl::FormatRange | ( | bool | doDraw,
|  | int | startPos,
|  | int | endPos,
|  | wxDC * | draw,
|  | wxDC * | target,
|  | wxRect | renderRect,
|  | wxRect | pageRect |
| ) |  |  |

On Windows, will draw the document into a display context such as a printer.

void wxStyledTextCtrl::FormFeed | ( |  | ) |

Insert a Form Feed character.

wxColour wxStyledTextCtrl::GetAdditionalCaretForeground | ( |  | ) | const

Get the foreground colour of additional carets.

bool wxStyledTextCtrl::GetAdditionalCaretsBlink | ( |  | ) | const

Whether additional carets will blink.

bool wxStyledTextCtrl::GetAdditionalCaretsVisible | ( |  | ) | const

Whether additional carets are visible.

int wxStyledTextCtrl::GetAdditionalSelAlpha | ( |  | ) | const

Get the alpha of the selection.

bool wxStyledTextCtrl::GetAdditionalSelectionTyping | ( |  | ) | const

Whether typing can be performed into multiple selections.

int wxStyledTextCtrl::GetAnchor | ( |  | ) | const

Returns the position of the opposite end of the selection to the caret.

bool wxStyledTextCtrl::GetBackSpaceUnIndents | ( |  | ) | const

Does a backspace pressed when caret is within indentation unindent?

bool wxStyledTextCtrl::GetBufferedDraw | ( |  | ) | const

Is drawing done first into a buffer or direct to the screen?

wxColour wxStyledTextCtrl::GetCaretForeground | ( |  | ) | const

Get the foreground colour of the caret.

int wxStyledTextCtrl::GetCaretLineBackAlpha | ( |  | ) | const

Get the background alpha of the caret line.

wxColour wxStyledTextCtrl::GetCaretLineBackground | ( |  | ) | const

Get the colour of the background of the line containing the caret.

bool wxStyledTextCtrl::GetCaretLineVisible | ( |  | ) | const

Is the background of the line containing the caret in a different colour?

int wxStyledTextCtrl::GetCaretPeriod | ( |  | ) | const

Get the time in milliseconds that the caret is on and off.

bool wxStyledTextCtrl::GetCaretSticky | ( |  | ) | const

Can the caret preferred x position only be changed by explicit movement commands?

int wxStyledTextCtrl::GetCaretWidth | ( |  | ) | const

Returns the width of the insert mode caret.

const char* wxStyledTextCtrl::GetCharacterPointer | ( |  | ) |

Compact the document buffer and return a read-only pointer to the characters in the document.

int wxStyledTextCtrl::GetCharAt | ( | int | pos | ) | const

Returns the character byte at the position.

int wxStyledTextCtrl::GetCodePage | ( |  | ) | const

Get the code page used to interpret the bytes of the document as characters.

int wxStyledTextCtrl::GetColumn | ( | int | pos | ) | const

Retrieve the column number of a position, taking tab width into account.

int wxStyledTextCtrl::GetControlCharSymbol | ( |  | ) | const

Get the way control characters are displayed.

wxString wxStyledTextCtrl::GetCurLine | ( | int * | linePos = `NULL` | ) |

wxCharBuffer wxStyledTextCtrl::GetCurLineRaw | ( | int * | linePos = `NULL` | ) |

int wxStyledTextCtrl::GetCurrentLine | ( |  | ) |

END of generated section Others.

.. Returns the line number of the line with the caret.

int wxStyledTextCtrl::GetCurrentPos | ( |  | ) | const

Returns the position of the caret.

void* wxStyledTextCtrl::GetDocPointer | ( |  | ) |

Retrieve a pointer to the document object.

wxColour wxStyledTextCtrl::GetEdgeColour | ( |  | ) | const

Retrieve the colour used in edge indication.

int wxStyledTextCtrl::GetEdgeColumn | ( |  | ) | const

Retrieve the column number which text should be kept within.

int wxStyledTextCtrl::GetEdgeMode | ( |  | ) | const

Retrieve the edge highlight mode.

bool wxStyledTextCtrl::GetEndAtLastLine | ( |  | ) | const

Retrieve whether the maximum scroll position has the last line at the bottom of the view.

int wxStyledTextCtrl::GetEndStyled | ( |  | ) | const

Retrieve the position of the last correctly styled character.

int wxStyledTextCtrl::GetEOLMode | ( |  | ) | const

Retrieve the current end of line mode - one of CRLF, CR, or LF.

int wxStyledTextCtrl::GetExtraAscent | ( |  | ) | const

Get extra ascent for each line.

int wxStyledTextCtrl::GetExtraDescent | ( |  | ) | const

Get extra descent for each line.

int wxStyledTextCtrl::GetFirstVisibleLine | ( |  | ) | const

Retrieve the display line at the top of the display.

bool wxStyledTextCtrl::GetFoldExpanded | ( | int | line | ) | const

Is a header line expanded?

int wxStyledTextCtrl::GetFoldLevel | ( | int | line | ) | const

Retrieve the fold level of a line.

int wxStyledTextCtrl::GetFoldParent | ( | int | line | ) | const

Find the parent line of a child line.

int wxStyledTextCtrl::GetHighlightGuide | ( |  | ) | const

Get the highlighted indentation guide column.

int wxStyledTextCtrl::GetIndent | ( |  | ) | const

Retrieve indentation size.

int wxStyledTextCtrl::GetIndentationGuides | ( |  | ) | const

Are the indentation guides visible?

bool wxStyledTextCtrl::GetKeysUnicode | ( |  | ) | const

Are keys always interpreted as Unicode?

int wxStyledTextCtrl::GetLastChild | ( | int | line,
|  | int | level |
| ) |  |  | const

Find the last child line of a header line.

bool wxStyledTextCtrl::GetLastKeydownProcessed | ( |  | ) |

Can be used to prevent the EVT_CHAR handler from adding the char.

int wxStyledTextCtrl::GetLayoutCache | ( |  | ) | const

Retrieve the degree of caching of layout information.

int wxStyledTextCtrl::GetLength | ( |  | ) | const

Returns the number of bytes in the document.

int wxStyledTextCtrl::GetLexer | ( |  | ) | const

Retrieve the lexing language of the document.

static wxVersionInfo wxStyledTextCtrl::GetLibraryVersionInfo | ( |  | ) | `[static]`

Get Scintilla library version information.

Since:
  2.9.2

See also:
  wxVersionInfo

wxString wxStyledTextCtrl::GetLine | ( | int | line | ) | const

Retrieve the contents of a line.

int wxStyledTextCtrl::GetLineCount | ( |  | ) | const

Returns the number of lines in the document.

There is always at least one.

int wxStyledTextCtrl::GetLineEndPosition | ( | int | line | ) | const

Get the position after the last visible characters on a line.

int wxStyledTextCtrl::GetLineIndentation | ( | int | line | ) | const

Retrieve the number of columns that a line is indented.

int wxStyledTextCtrl::GetLineIndentPosition | ( | int | line | ) | const

Retrieve the position before the first non indentation character on a line.

wxCharBuffer wxStyledTextCtrl::GetLineRaw | ( | int | line | ) |

Retrieve the contents of a line.

int wxStyledTextCtrl::GetLineSelEndPosition | ( | int | line | ) |

Retrieve the position of the end of the selection at the given line (INVALID_POSITION if no selection on this line).

int wxStyledTextCtrl::GetLineSelStartPosition | ( | int | line | ) |

Retrieve the position of the start of the selection at the given line (INVALID_POSITION if no selection on this line).

int wxStyledTextCtrl::GetLineState | ( | int | line | ) | const

Retrieve the extra styling information for a line.

bool wxStyledTextCtrl::GetLineVisible | ( | int | line | ) | const

Is a line visible?

int wxStyledTextCtrl::GetMainSelection | ( |  | ) | const

Which selection is the main selection.

int wxStyledTextCtrl::GetMarginLeft | ( |  | ) | const

Returns the size in pixels of the left margin.

int wxStyledTextCtrl::GetMarginMask | ( | int | margin | ) | const

Retrieve the marker mask of a margin.

int wxStyledTextCtrl::GetMarginRight | ( |  | ) | const

Returns the size in pixels of the right margin.

bool wxStyledTextCtrl::GetMarginSensitive | ( | int | margin | ) | const

Retrieve the mouse click sensitivity of a margin.

int wxStyledTextCtrl::GetMarginType | ( | int | margin | ) | const

Retrieve the type of a margin.

int wxStyledTextCtrl::GetMarginWidth | ( | int | margin | ) | const

Retrieve the width of a margin in pixels.

int wxStyledTextCtrl::GetMarkerSymbolDefined | ( | int | markerNumber | ) |

Which symbol was defined for markerNumber with MarkerDefine.

int wxStyledTextCtrl::GetMaxLineState | ( |  | ) | const

Retrieve the last line number that has line state.

int wxStyledTextCtrl::GetModEventMask | ( |  | ) | const

Get which document modification events are sent to the container.

bool wxStyledTextCtrl::GetModify | ( |  | ) | const

Is the document different from when it was last saved?

bool wxStyledTextCtrl::GetMouseDownCaptures | ( |  | ) | const

Get whether mouse gets captured.

int wxStyledTextCtrl::GetMouseDwellTime | ( |  | ) | const

Retrieve the time the mouse must sit still to generate a mouse dwell event.

bool wxStyledTextCtrl::GetMultipleSelection | ( |  | ) | const

Whether multiple selections can be made.

bool wxStyledTextCtrl::GetOvertype | ( |  | ) | const

Returns true if overtype mode is active otherwise false is returned.

bool wxStyledTextCtrl::GetPasteConvertEndings | ( |  | ) | const

Get convert-on-paste setting.

int wxStyledTextCtrl::GetPrintColourMode | ( |  | ) | const

Returns the print colour mode.

int wxStyledTextCtrl::GetPrintMagnification | ( |  | ) | const

Returns the print magnification.

int wxStyledTextCtrl::GetPrintWrapMode | ( |  | ) | const

Is printing line wrapped?

wxString wxStyledTextCtrl::GetProperty | ( | const wxString & | key | ) |

Retrieve a 'property' value previously set with SetProperty.

wxString wxStyledTextCtrl::GetPropertyExpanded | ( | const wxString & | key | ) |

Retrieve a 'property' value previously set with SetProperty, with '$()' variable replacement on returned buffer.

int wxStyledTextCtrl::GetPropertyInt | ( | const wxString & | key | ) | const

Retrieve a 'property' value previously set with SetProperty, interpreted as an int AFTER any '$()' variable replacement.

bool wxStyledTextCtrl::GetReadOnly | ( |  | ) | const

In read-only mode?

int wxStyledTextCtrl::GetRectangularSelectionAnchor | ( |  | ) | const

int wxStyledTextCtrl::GetRectangularSelectionAnchorVirtualSpace | ( |  | ) | const

int wxStyledTextCtrl::GetRectangularSelectionCaret | ( |  | ) | const

int wxStyledTextCtrl::GetRectangularSelectionCaretVirtualSpace | ( |  | ) | const

int wxStyledTextCtrl::GetRectangularSelectionModifier | ( |  | ) | const

Get the modifier key used for rectangular selection.

int wxStyledTextCtrl::GetScrollWidth | ( |  | ) | const

Retrieve the document width assumed for scrolling.

int wxStyledTextCtrl::GetSearchFlags | ( |  | ) | const

Get the search flags used by SearchInTarget.

int wxStyledTextCtrl::GetSelAlpha | ( |  | ) | const

Get the alpha of the selection.

wxString wxStyledTextCtrl::GetSelectedText | ( |  | ) |

Retrieve the selected text.

wxCharBuffer wxStyledTextCtrl::GetSelectedTextRaw | ( |  | ) |

Retrieve the selected text.

void wxStyledTextCtrl::GetSelection | ( | int * | OUTPUT,
|  | int * | OUTPUT |
| ) |  |  |

int wxStyledTextCtrl::GetSelectionEnd | ( |  | ) | const

Returns the position at the end of the selection.

int wxStyledTextCtrl::GetSelectionMode | ( |  | ) | const

Get the mode of the current selection.

int wxStyledTextCtrl::GetSelectionNAnchor | ( | int | selection | ) | const

int wxStyledTextCtrl::GetSelectionNAnchorVirtualSpace | ( | int | selection | ) | const

int wxStyledTextCtrl::GetSelectionNCaret | ( | int | selection | ) | const

int wxStyledTextCtrl::GetSelectionNCaretVirtualSpace | ( | int | selection | ) | const

int wxStyledTextCtrl::GetSelectionNEnd | ( | int | selection | ) | const

Returns the position at the end of the selection.

int wxStyledTextCtrl::GetSelectionNStart | ( | int | selection | ) | const

Returns the position at the start of the selection.

int wxStyledTextCtrl::GetSelections | ( |  | ) | const

How many selections are there?

int wxStyledTextCtrl::GetSelectionStart | ( |  | ) | const

Returns the position at the start of the selection.

int wxStyledTextCtrl::GetStatus | ( |  | ) | const

Get error status.

int wxStyledTextCtrl::GetSTCCursor | ( |  | ) | const

Get cursor type.

bool wxStyledTextCtrl::GetSTCFocus | ( |  | ) | const

Get internal focus flag.

int wxStyledTextCtrl::GetStyleAt | ( | int | pos | ) | const

Returns the style byte at the position.

int wxStyledTextCtrl::GetStyleBits | ( |  | ) | const

Retrieve number of bits in style bytes used to hold the lexical state.

int wxStyledTextCtrl::GetStyleBitsNeeded | ( |  | ) | const

Retrieve the number of bits the current lexer needs for styling.

wxMemoryBuffer wxStyledTextCtrl::GetStyledText | ( | int | startPos,
|  | int | endPos |
| ) |  |  |

Retrieve a buffer of cells.

bool wxStyledTextCtrl::GetTabIndents | ( |  | ) | const

Does a tab pressed when caret is within indentation indent?

int wxStyledTextCtrl::GetTabWidth | ( |  | ) | const

Retrieve the visible size of a tab.

int wxStyledTextCtrl::GetTargetEnd | ( |  | ) | const

Get the position that ends the target.

int wxStyledTextCtrl::GetTargetStart | ( |  | ) | const

Get the position that starts the target.

wxString wxStyledTextCtrl::GetText | ( |  | ) | const

Retrieve all the text in the document.

int wxStyledTextCtrl::GetTextLength | ( |  | ) | const

Retrieve the number of characters in the document.

wxString wxStyledTextCtrl::GetTextRange | ( | int | startPos,
|  | int | endPos |
| ) |  |  |

Retrieve a range of text.

wxCharBuffer wxStyledTextCtrl::GetTextRangeRaw | ( | int | startPos,
|  | int | endPos |
| ) |  |  |

Retrieve a range of text.

wxCharBuffer wxStyledTextCtrl::GetTextRaw | ( |  | ) |

Retrieve all the text in the document.

bool wxStyledTextCtrl::GetTwoPhaseDraw | ( |  | ) | const

Is drawing done in two phases with backgrounds drawn before foregrounds?

bool wxStyledTextCtrl::GetUndoCollection | ( |  | ) | const

Is undo history being collected?

bool wxStyledTextCtrl::GetUseAntiAliasing | ( |  | ) |

Returns the current UseAntiAliasing setting.

bool wxStyledTextCtrl::GetUseHorizontalScrollBar | ( |  | ) | const

Is the horizontal scroll bar visible?

bool wxStyledTextCtrl::GetUseTabs | ( |  | ) | const

Retrieve whether tabs will be used in indentation.

bool wxStyledTextCtrl::GetUseVerticalScrollBar | ( |  | ) | const

Is the vertical scroll bar visible?

bool wxStyledTextCtrl::GetViewEOL | ( |  | ) | const

Are the end of line characters visible?

int wxStyledTextCtrl::GetViewWhiteSpace | ( |  | ) | const

Are white space characters currently visible? Returns one of SCWS_* constants.

int wxStyledTextCtrl::GetVirtualSpaceOptions | ( |  | ) | const

int wxStyledTextCtrl::GetWhitespaceSize | ( |  | ) | const

Get the size of the dots used to mark space characters.

int wxStyledTextCtrl::GetWrapIndentMode | ( |  | ) | const

Retrieve how wrapped sublines are placed.

Default is fixed.

int wxStyledTextCtrl::GetWrapMode | ( |  | ) | const

Retrieve whether text is word wrapped.

int wxStyledTextCtrl::GetWrapStartIndent | ( |  | ) | const

Retrieve the start indent for wrapped lines.

int wxStyledTextCtrl::GetWrapVisualFlags | ( |  | ) | const

Retrieve the display mode of visual flags for wrapped lines.

int wxStyledTextCtrl::GetWrapVisualFlagsLocation | ( |  | ) | const

Retrieve the location of visual flags for wrapped lines.

int wxStyledTextCtrl::GetXOffset | ( |  | ) | const

int wxStyledTextCtrl::GetZoom | ( |  | ) | const

Retrieve the zoom level.

void wxStyledTextCtrl::GotoLine | ( | int | line | ) |

Set caret to start of a line and ensure it is visible.

void wxStyledTextCtrl::GotoPos | ( | int | pos | ) |

Set caret to a position and ensure it is visible.

void wxStyledTextCtrl::HideLines | ( | int | lineStart,
|  | int | lineEnd |
| ) |  |  |

Make a range of lines invisible.

void wxStyledTextCtrl::HideSelection | ( | bool | normal | ) |

Draw the selection in normal style or with selection highlighted.

void wxStyledTextCtrl::Home | ( |  | ) |

Move caret to first position on line.

void wxStyledTextCtrl::HomeDisplay | ( |  | ) |

Move caret to first position on display line.

void wxStyledTextCtrl::HomeDisplayExtend | ( |  | ) |

Move caret to first position on display line extending selection to new caret position.

void wxStyledTextCtrl::HomeExtend | ( |  | ) |

Move caret to first position on line extending selection to new caret position.

void wxStyledTextCtrl::HomeRectExtend | ( |  | ) |

Move caret to first position on line, extending rectangular selection to new caret position.

void wxStyledTextCtrl::HomeWrap | ( |  | ) |

These are like their namesakes Home(Extend)?, LineEnd(Extend)?, VCHome(Extend)? except they behave differently when word-wrap is enabled: They go first to the start / end of the display line, like (Home|LineEnd)Display The difference is that, the cursor is already at the point, it goes on to the start or end of the document line, as appropriate for (Home|LineEnd|VCHome)(Extend)?.

void wxStyledTextCtrl::HomeWrapExtend | ( |  | ) |

int wxStyledTextCtrl::IndicatorGetAlpha | ( | int | indicator | ) | const

Get the alpha fill colour of the given indicator.

wxColour wxStyledTextCtrl::IndicatorGetForeground | ( | int | indic | ) | const

Retrieve the foreground colour of an indicator.

int wxStyledTextCtrl::IndicatorGetStyle | ( | int | indic | ) | const

Retrieve the style of an indicator.

void wxStyledTextCtrl::IndicatorSetAlpha | ( | int | indicator,
|  | int | alpha |
| ) |  |  |

Set the alpha fill colour of the given indicator.

void wxStyledTextCtrl::IndicatorSetForeground | ( | int | indic,
|  | const wxColour & | fore |
| ) |  |  |

Set the foreground colour of an indicator.

void wxStyledTextCtrl::IndicatorSetStyle | ( | int | indic,
|  | int | style |
| ) |  |  |

Set an indicator to plain, squiggle or TT.

void wxStyledTextCtrl::InsertText | ( | int | pos,
|  | const wxString & | text |
| ) |  |  |

Insert string at a position.

void wxStyledTextCtrl::InsertTextRaw | ( | int | pos,
|  | const char * | text |
| ) |  |  |

Insert string at a position.

void wxStyledTextCtrl::LineCopy | ( |  | ) |

Copy the line containing the caret.

void wxStyledTextCtrl::LineCut | ( |  | ) |

Cut the line containing the caret.

void wxStyledTextCtrl::LineDelete | ( |  | ) |

Delete the line containing the caret.

void wxStyledTextCtrl::LineDown | ( |  | ) |

Move caret down one line.

Reimplemented from wxWindow.

void wxStyledTextCtrl::LineDownExtend | ( |  | ) |

Move caret down one line extending selection to new caret position.

void wxStyledTextCtrl::LineDownRectExtend | ( |  | ) |

Move caret down one line, extending rectangular selection to new caret position.

void wxStyledTextCtrl::LineDuplicate | ( |  | ) |

Duplicate the current line.

void wxStyledTextCtrl::LineEnd | ( |  | ) |

Move caret to last position on line.

void wxStyledTextCtrl::LineEndDisplay | ( |  | ) |

Move caret to last position on display line.

void wxStyledTextCtrl::LineEndDisplayExtend | ( |  | ) |

Move caret to last position on display line extending selection to new caret position.

void wxStyledTextCtrl::LineEndExtend | ( |  | ) |

Move caret to last position on line extending selection to new caret position.

void wxStyledTextCtrl::LineEndRectExtend | ( |  | ) |

Move caret to last position on line, extending rectangular selection to new caret position.

void wxStyledTextCtrl::LineEndWrap | ( |  | ) |

void wxStyledTextCtrl::LineEndWrapExtend | ( |  | ) |

int wxStyledTextCtrl::LineFromPosition | ( | int | pos | ) | const

Retrieve the line containing a position.

int wxStyledTextCtrl::LineLength | ( | int | line | ) | const

How many characters are on a line, including end of line characters?

void wxStyledTextCtrl::LineScroll | ( | int | columns,
|  | int | lines |
| ) |  |  |

Scroll horizontally and vertically.

void wxStyledTextCtrl::LineScrollDown | ( |  | ) |

Scroll the document down, keeping the caret visible.

void wxStyledTextCtrl::LineScrollUp | ( |  | ) |

Scroll the document up, keeping the caret visible.

void wxStyledTextCtrl::LinesJoin | ( |  | ) |

Join the lines in the target.

int wxStyledTextCtrl::LinesOnScreen | ( |  | ) | const

Retrieves the number of lines completely visible.

void wxStyledTextCtrl::LinesSplit | ( | int | pixelWidth | ) |

Split the lines in the target into lines that are less wide than pixelWidth where possible.

void wxStyledTextCtrl::LineTranspose | ( |  | ) |

Switch the current line with the previous.

void wxStyledTextCtrl::LineUp | ( |  | ) |

Move caret up one line.

Reimplemented from wxWindow.

void wxStyledTextCtrl::LineUpExtend | ( |  | ) |

Move caret up one line extending selection to new caret position.

void wxStyledTextCtrl::LineUpRectExtend | ( |  | ) |

Move caret up one line, extending rectangular selection to new caret position.

bool wxStyledTextCtrl::LoadFile | ( | const wxString & | file,
|  | int | fileType = `wxTEXT_TYPE_ANY` |
| ) |  |  |

Load the contents of filename into the editor.

void wxStyledTextCtrl::LowerCase | ( |  | ) |

Transform the selection to lower case.

int wxStyledTextCtrl::MarginGetStyle | ( | int | line | ) | const

Get the style number for the text margin for a line.

int wxStyledTextCtrl::MarginGetStyleOffset | ( |  | ) | const

Get the start of the range of style numbers used for margin text.

wxString wxStyledTextCtrl::MarginGetStyles | ( | int | line | ) | const

Get the styles in the text margin for a line.

wxString wxStyledTextCtrl::MarginGetText | ( | int | line | ) | const

Get the text in the text margin for a line.

void wxStyledTextCtrl::MarginSetStyle | ( | int | line,
|  | int | style |
| ) |  |  |

Set the style number for the text margin for a line.

void wxStyledTextCtrl::MarginSetStyleOffset | ( | int | style | ) |

Get the start of the range of style numbers used for margin text.

void wxStyledTextCtrl::MarginSetStyles | ( | int | line,
|  | const wxString & | styles |
| ) |  |  |

Set the style in the text margin for a line.

void wxStyledTextCtrl::MarginSetText | ( | int | line,
|  | const wxString & | text |
| ) |  |  |

Set the text in the text margin for a line.

void wxStyledTextCtrl::MarginTextClearAll | ( |  | ) |

Clear the margin text on all lines.

int wxStyledTextCtrl::MarkerAdd | ( | int | line,
|  | int | markerNumber |
| ) |  |  |

Add a marker to a line, returning an ID which can be used to find or delete the marker.

void wxStyledTextCtrl::MarkerAddSet | ( | int | line,
|  | int | set |
| ) |  |  |

Add a set of markers to a line.

void wxStyledTextCtrl::MarkerDefine | ( | int | markerNumber,
|  | int | markerSymbol,
|  | const wxColour & | foreground = `wxNullColour`,
|  | const wxColour & | background = `wxNullColour` |
| ) |  |  |

Set the symbol used for a particular marker number, and optionally the fore and background colours.

void wxStyledTextCtrl::MarkerDefineBitmap | ( | int | markerNumber,
|  | const wxBitmap & | bmp |
| ) |  |  |

Define a marker from a bitmap.

void wxStyledTextCtrl::MarkerDelete | ( | int | line,
|  | int | markerNumber |
| ) |  |  |

Delete a marker from a line.

void wxStyledTextCtrl::MarkerDeleteAll | ( | int | markerNumber | ) |

Delete all markers with a particular number from all lines.

void wxStyledTextCtrl::MarkerDeleteHandle | ( | int | handle | ) |

Delete a marker.

int wxStyledTextCtrl::MarkerGet | ( | int | line | ) |

Get a bit mask of all the markers set on a line.

int wxStyledTextCtrl::MarkerLineFromHandle | ( | int | handle | ) |

Retrieve the line number at which a particular marker is located.

int wxStyledTextCtrl::MarkerNext | ( | int | lineStart,
|  | int | markerMask |
| ) |  |  |

Find the next line after lineStart that includes a marker in mask.

int wxStyledTextCtrl::MarkerPrevious | ( | int | lineStart,
|  | int | markerMask |
| ) |  |  |

Find the previous line before lineStart that includes a marker in mask.

void wxStyledTextCtrl::MarkerSetAlpha | ( | int | markerNumber,
|  | int | alpha |
| ) |  |  |

Set the alpha used for a marker that is drawn in the text area, not the margin.

void wxStyledTextCtrl::MarkerSetBackground | ( | int | markerNumber,
|  | const wxColour & | back |
| ) |  |  |

Set the background colour used for a particular marker number.

void wxStyledTextCtrl::MarkerSetForeground | ( | int | markerNumber,
|  | const wxColour & | fore |
| ) |  |  |

Set the foreground colour used for a particular marker number.

void wxStyledTextCtrl::MoveCaretInsideView | ( |  | ) |

Move the caret inside current view if it's not there already.

void wxStyledTextCtrl::NewLine | ( |  | ) |

Insert a new line, may use a CRLF, CR or LF depending on EOL mode.

void wxStyledTextCtrl::PageDown | ( |  | ) |

Move caret one page down.

Reimplemented from wxWindow.

void wxStyledTextCtrl::PageDownExtend | ( |  | ) |

Move caret one page down extending selection to new caret position.

void wxStyledTextCtrl::PageDownRectExtend | ( |  | ) |

Move caret one page down, extending rectangular selection to new caret position.

void wxStyledTextCtrl::PageUp | ( |  | ) |

Move caret one page up.

Reimplemented from wxWindow.

void wxStyledTextCtrl::PageUpExtend | ( |  | ) |

Move caret one page up extending selection to new caret position.

void wxStyledTextCtrl::PageUpRectExtend | ( |  | ) |

Move caret one page up, extending rectangular selection to new caret position.

void wxStyledTextCtrl::ParaDown | ( |  | ) |

Move caret between paragraphs (delimited by empty lines).

void wxStyledTextCtrl::ParaDownExtend | ( |  | ) |

void wxStyledTextCtrl::ParaUp | ( |  | ) |

void wxStyledTextCtrl::ParaUpExtend | ( |  | ) |

virtual void wxStyledTextCtrl::Paste | ( |  | ) | `[virtual]`

Paste the contents of the clipboard into the document replacing the selection.

wxPoint wxStyledTextCtrl::PointFromPosition | ( | int | pos | ) |

Retrieve the point in the window where a position is displayed.

int wxStyledTextCtrl::PositionAfter | ( | int | pos | ) |

Given a valid document position, return the next position taking code page into account.

Maximum value returned is the last position in the document.

int wxStyledTextCtrl::PositionBefore | ( | int | pos | ) |

Given a valid document position, return the previous position taking code page into account.

Returns 0 if passed 0.

int wxStyledTextCtrl::PositionFromLine | ( | int | line | ) | const

Retrieve the position at the start of a line.

int wxStyledTextCtrl::PositionFromPoint | ( | wxPoint | pt | ) | const

Find the position from a point within the window.

int wxStyledTextCtrl::PositionFromPointClose | ( | int | x,
|  | int | y |
| ) |  |  |

Find the position from a point within the window but return INVALID_POSITION if not close to text.

virtual void wxStyledTextCtrl::Redo | ( |  | ) | `[virtual]`

Redoes the next action on the undo history.

void wxStyledTextCtrl::RegisterImage | ( | int | type,
|  | const wxBitmap & | bmp |
| ) |  |  |

Register an image for use in autocompletion lists.

void wxStyledTextCtrl::ReleaseDocument | ( | void * | docPointer | ) |

Release a reference to the document, deleting document if it fades to black.

void wxStyledTextCtrl::ReplaceSelection | ( | const wxString & | text | ) |

Replace the selected text with the argument text.

int wxStyledTextCtrl::ReplaceTarget | ( | const wxString & | text | ) |

Replace the target text with the argument text.

Text is counted so it can contain NULs. Returns the length of the replacement text.

int wxStyledTextCtrl::ReplaceTargetRE | ( | const wxString & | text | ) |

Replace the target text with the argument text after d processing.

Text is counted so it can contain NULs.

Looks for d where d is between 1 and 9 and replaces these with the strings matched in the last search operation which were surrounded by ( and ).

Returns the length of the replacement text including any change caused by processing the d patterns.

void wxStyledTextCtrl::RotateSelection | ( |  | ) |

Set the main selection to the next selection.

bool wxStyledTextCtrl::SaveFile | ( | const wxString & | file = `wxEmptyString`,
|  | int | fileType = `wxTEXT_TYPE_ANY` |
| ) |  |  |

Write the contents of the editor to filename.

void wxStyledTextCtrl::ScrollToColumn | ( | int | column | ) |

Scroll enough to make the given column visible.

void wxStyledTextCtrl::ScrollToLine | ( | int | line | ) |

Scroll enough to make the given line visible.

void wxStyledTextCtrl::SearchAnchor | ( |  | ) |

Sets the current caret position to be the search anchor.

int wxStyledTextCtrl::SearchInTarget | ( | const wxString & | text | ) |

Search for a counted string in the target and set the target to the found range.

Text is counted so it can contain NULs. Returns length of range or -1 for failure in which case target is not moved.

int wxStyledTextCtrl::SearchNext | ( | int | flags,
|  | const wxString & | text |
| ) |  |  |

Find some text starting at the search anchor.

Does not ensure the selection is visible.

int wxStyledTextCtrl::SearchPrev | ( | int | flags,
|  | const wxString & | text |
| ) |  |  |

Find some text starting at the search anchor and moving backwards.

Does not ensure the selection is visible.

virtual void wxStyledTextCtrl::SelectAll | ( |  | ) | `[virtual]`

Select all the text in the document.

void wxStyledTextCtrl::SelectionDuplicate | ( |  | ) |

Duplicate the selection.

If selection empty duplicate the line containing the caret.

bool wxStyledTextCtrl::SelectionIsRectangle | ( |  | ) | const

Is the selection rectangular? The alternative is the more common stream selection.

wxIntPtr wxStyledTextCtrl::SendMsg | ( | int | msg,
|  | wxUIntPtr | wp = `0`,
|  | wxIntPtr | lp = `0` |
| ) |  |  | const

Send a message to Scintilla.

void wxStyledTextCtrl::SetAdditionalCaretForeground | ( | const wxColour & | fore | ) |

Set the foreground colour of additional carets.

void wxStyledTextCtrl::SetAdditionalCaretsBlink | ( | bool | additionalCaretsBlink | ) |

Set whether additional carets will blink.

void wxStyledTextCtrl::SetAdditionalCaretsVisible | ( | bool | additionalCaretsBlink | ) |

Set whether additional carets are visible.

void wxStyledTextCtrl::SetAdditionalSelAlpha | ( | int | alpha | ) |

Set the alpha of the selection.

void wxStyledTextCtrl::SetAdditionalSelBackground | ( | const wxColour & | back | ) |

Set the background colour of additional selections.

Must have previously called SetSelBack with non-zero first argument for this to have an effect.

void wxStyledTextCtrl::SetAdditionalSelectionTyping | ( | bool | additionalSelectionTyping | ) |

Set whether typing can be performed into multiple selections.

void wxStyledTextCtrl::SetAdditionalSelForeground | ( | const wxColour & | fore | ) |

Set the foreground colour of additional selections.

Must have previously called SetSelFore with non-zero first argument for this to have an effect.

void wxStyledTextCtrl::SetAnchor | ( | int | posAnchor | ) |

Set the selection anchor to a position.

The anchor is the opposite end of the selection from the caret.

void wxStyledTextCtrl::SetBackSpaceUnIndents | ( | bool | bsUnIndents | ) |

Sets whether a backspace pressed when caret is within indentation unindents.

void wxStyledTextCtrl::SetBufferedDraw | ( | bool | buffered | ) |

If drawing is buffered then each line of text is drawn into a bitmap buffer before drawing it to the screen to avoid flicker.

void wxStyledTextCtrl::SetCaretForeground | ( | const wxColour & | fore | ) |

Set the foreground colour of the caret.

void wxStyledTextCtrl::SetCaretLineBackAlpha | ( | int | alpha | ) |

Set background alpha of the caret line.

void wxStyledTextCtrl::SetCaretLineBackground | ( | const wxColour & | back | ) |

Set the colour of the background of the line containing the caret.

void wxStyledTextCtrl::SetCaretLineVisible | ( | bool | show | ) |

Display the background of the line containing the caret in a different colour.

void wxStyledTextCtrl::SetCaretPeriod | ( | int | periodMilliseconds | ) |

Get the time in milliseconds that the caret is on and off.

0 = steady on.

void wxStyledTextCtrl::SetCaretSticky | ( | bool | useCaretStickyBehaviour | ) |

Stop the caret preferred x position changing when the user types.

void wxStyledTextCtrl::SetCaretWidth | ( | int | pixelWidth | ) |

Set the width of the insert mode caret.

void wxStyledTextCtrl::SetCharsDefault | ( |  | ) |

Reset the set of characters for whitespace and word characters to the defaults.

void wxStyledTextCtrl::SetCodePage | ( | int | codePage | ) |

Set the code page used to interpret the bytes of the document as characters.

void wxStyledTextCtrl::SetControlCharSymbol | ( | int | symbol | ) |

Change the way control characters are displayed: If symbol is 32, keep the drawn way, else, use the given character.

void wxStyledTextCtrl::SetCurrentPos | ( | int | pos | ) |

Sets the position of the caret.

void wxStyledTextCtrl::SetDocPointer | ( | void * | docPointer | ) |

Change the document object used.

void wxStyledTextCtrl::SetEdgeColour | ( | const wxColour & | edgeColour | ) |

Change the colour used in edge indication.

void wxStyledTextCtrl::SetEdgeColumn | ( | int | column | ) |

Set the column number of the edge.

If text goes past the edge then it is highlighted.

void wxStyledTextCtrl::SetEdgeMode | ( | int | mode | ) |

The edge may be displayed by a line (EDGE_LINE) or by highlighting text that goes beyond it (EDGE_BACKGROUND) or not displayed at all (EDGE_NONE).

void wxStyledTextCtrl::SetEndAtLastLine | ( | bool | endAtLastLine | ) |

Sets the scroll range so that maximum scroll position has the last line at the bottom of the view (default).

Setting this to false allows scrolling one page below the last line.

void wxStyledTextCtrl::SetEOLMode | ( | int | eolMode | ) |

Set the current end of line mode.

void wxStyledTextCtrl::SetExtraAscent | ( | int | extraAscent | ) |

Set extra ascent for each line.

void wxStyledTextCtrl::SetExtraDescent | ( | int | extraDescent | ) |

Set extra descent for each line.

void wxStyledTextCtrl::SetFirstVisibleLine | ( | int | lineDisplay | ) |

Scroll so that a display line is at the top of the display.

void wxStyledTextCtrl::SetFoldExpanded | ( | int | line,
|  | bool | expanded |
| ) |  |  |

Show the children of a header line.

void wxStyledTextCtrl::SetFoldFlags | ( | int | flags | ) |

Set some style options for folding.

void wxStyledTextCtrl::SetFoldLevel | ( | int | line,
|  | int | level |
| ) |  |  |

Set the fold level of a line.

This encodes an integer level along with flags indicating whether the line is a header and whether it is effectively white space.

void wxStyledTextCtrl::SetFoldMarginColour | ( | bool | useSetting,
|  | const wxColour & | back |
| ) |  |  |

Set the colours used as a chequerboard pattern in the fold margin.

void wxStyledTextCtrl::SetFoldMarginHiColour | ( | bool | useSetting,
|  | const wxColour & | fore |
| ) |  |  |

void wxStyledTextCtrl::SetHighlightGuide | ( | int | column | ) |

Set the highlighted indentation guide column.

0 = no highlighted guide.

void wxStyledTextCtrl::SetHotspotActiveBackground | ( | bool | useSetting,
|  | const wxColour & | back |
| ) |  |  |

Set a back colour for active hotspots.

void wxStyledTextCtrl::SetHotspotActiveForeground | ( | bool | useSetting,
|  | const wxColour & | fore |
| ) |  |  |

Set a fore colour for active hotspots.

void wxStyledTextCtrl::SetHotspotActiveUnderline | ( | bool | underline | ) |

Enable / Disable underlining active hotspots.

void wxStyledTextCtrl::SetHotspotSingleLine | ( | bool | singleLine | ) |

Limit hotspots to single line so hotspots on two lines don't merge.

void wxStyledTextCtrl::SetHScrollBar | ( | wxScrollBar * | bar | ) |

Set the horizontal scrollbar to use instead of the ont that's built-in.

void wxStyledTextCtrl::SetIndent | ( | int | indentSize | ) |

Set the number of spaces used for one level of indentation.

void wxStyledTextCtrl::SetIndentationGuides | ( | int | indentView | ) |

Show or hide indentation guides.

void wxStyledTextCtrl::SetKeysUnicode | ( | bool | keysUnicode | ) |

Always interpret keyboard input as Unicode.

void wxStyledTextCtrl::SetKeyWords | ( | int | keywordSet,
|  | const wxString & | keyWords |
| ) |  |  |

Set up the key words used by the lexer.

void wxStyledTextCtrl::SetLastKeydownProcessed | ( | bool | val | ) |

void wxStyledTextCtrl::SetLayoutCache | ( | int | mode | ) |

Sets the degree of caching of layout information.

void wxStyledTextCtrl::SetLexer | ( | int | lexer | ) |

Set the lexing language of the document.

void wxStyledTextCtrl::SetLexerLanguage | ( | const wxString & | language | ) |

Set the lexing language of the document based on string name.

void wxStyledTextCtrl::SetLineIndentation | ( | int | line,
|  | int | indentSize |
| ) |  |  |

Change the indentation of a line to a number of columns.

void wxStyledTextCtrl::SetLineState | ( | int | line,
|  | int | state |
| ) |  |  |

Used to hold extra styling information for each line.

void wxStyledTextCtrl::SetMainSelection | ( | int | selection | ) |

Set the main selection.

void wxStyledTextCtrl::SetMarginLeft | ( | int | pixelWidth | ) |

Sets the size in pixels of the left margin.

void wxStyledTextCtrl::SetMarginMask | ( | int | margin,
|  | int | mask |
| ) |  |  |

Set a mask that determines which markers are displayed in a margin.

void wxStyledTextCtrl::SetMarginRight | ( | int | pixelWidth | ) |

Sets the size in pixels of the right margin.

void wxStyledTextCtrl::SetMargins | ( | int | left,
|  | int | right |
| ) |  |  |

Set the left and right margin in the edit area, measured in pixels.

void wxStyledTextCtrl::SetMarginSensitive | ( | int | margin,
|  | bool | sensitive |
| ) |  |  |

Make a margin sensitive or insensitive to mouse clicks.

void wxStyledTextCtrl::SetMarginType | ( | int | margin,
|  | int | marginType |
| ) |  |  |

Set a margin to be either numeric or symbolic.

void wxStyledTextCtrl::SetMarginWidth | ( | int | margin,
|  | int | pixelWidth |
| ) |  |  |

Set the width of a margin to a width expressed in pixels.

void wxStyledTextCtrl::SetModEventMask | ( | int | mask | ) |

Set which document modification events are sent to the container.

void wxStyledTextCtrl::SetMouseDownCaptures | ( | bool | captures | ) |

Set whether the mouse is captured when its button is pressed.

void wxStyledTextCtrl::SetMouseDwellTime | ( | int | periodMilliseconds | ) |

Sets the time the mouse must sit still to generate a mouse dwell event.

void wxStyledTextCtrl::SetMultipleSelection | ( | bool | multipleSelection | ) |

Set whether multiple selections can be made.

void wxStyledTextCtrl::SetOvertype | ( | bool | overtype | ) |

Set to overtype (true) or insert mode.

void wxStyledTextCtrl::SetPasteConvertEndings | ( | bool | convert | ) |

Enable/Disable convert-on-paste for line endings.

void wxStyledTextCtrl::SetPrintColourMode | ( | int | mode | ) |

Modify colours when printing for clearer printed text.

void wxStyledTextCtrl::SetPrintMagnification | ( | int | magnification | ) |

Sets the print magnification added to the point size of each style for printing.

void wxStyledTextCtrl::SetPrintWrapMode | ( | int | mode | ) |

Set printing to line wrapped (SC_WRAP_WORD) or not line wrapped (SC_WRAP_NONE).

void wxStyledTextCtrl::SetProperty | ( | const wxString & | key,
|  | const wxString & | value |
| ) |  |  |

Set up a value that may be used by a lexer for some optional feature.

void wxStyledTextCtrl::SetReadOnly | ( | bool | readOnly | ) |

Set to read only or read write.

void wxStyledTextCtrl::SetRectangularSelectionAnchor | ( | int | posAnchor | ) |

void wxStyledTextCtrl::SetRectangularSelectionAnchorVirtualSpace | ( | int | space | ) |

void wxStyledTextCtrl::SetRectangularSelectionCaret | ( | int | pos | ) |

void wxStyledTextCtrl::SetRectangularSelectionCaretVirtualSpace | ( | int | space | ) |

void wxStyledTextCtrl::SetRectangularSelectionModifier | ( | int | modifier | ) |

Select the modifier key to use for mouse-based rectangular selection.

void wxStyledTextCtrl::SetSavePoint | ( |  | ) |

Remember the current position in the undo history as the position at which the document was saved.

void wxStyledTextCtrl::SetScrollWidth | ( | int | pixelWidth | ) |

Sets the document width assumed for scrolling.

void wxStyledTextCtrl::SetSearchFlags | ( | int | flags | ) |

Set the search flags used by SearchInTarget.

void wxStyledTextCtrl::SetSelAlpha | ( | int | alpha | ) |

Set the alpha of the selection.

void wxStyledTextCtrl::SetSelBackground | ( | bool | useSetting,
|  | const wxColour & | back |
| ) |  |  |

Set the background colour of the main and additional selections and whether to use this setting.

virtual void wxStyledTextCtrl::SetSelection | ( | long | from,
|  | long | to |
| ) |  |  | `[virtual]`

Select a range of text.

void wxStyledTextCtrl::SetSelectionEnd | ( | int | pos | ) |

Sets the position that ends the selection - this becomes the currentPosition.

void wxStyledTextCtrl::SetSelectionMode | ( | int | mode | ) |

Set the selection mode to stream (wxSTC_SEL_STREAM) or rectangular (wxSTC_SEL_RECTANGLE/wxSTC_SEL_THIN) or by lines (wxSTC_SEL_LINES).

void wxStyledTextCtrl::SetSelectionNAnchor | ( | int | selection,
|  | int | posAnchor |
| ) |  |  |

void wxStyledTextCtrl::SetSelectionNAnchorVirtualSpace | ( | int | selection,
|  | int | space |
| ) |  |  |

void wxStyledTextCtrl::SetSelectionNCaret | ( | int | selection,
|  | int | pos |
| ) |  |  |

void wxStyledTextCtrl::SetSelectionNCaretVirtualSpace | ( | int | selection,
|  | int | space |
| ) |  |  |

void wxStyledTextCtrl::SetSelectionNEnd | ( | int | selection,
|  | int | pos |
| ) |  |  |

Sets the position that ends the selection - this becomes the currentPosition.

void wxStyledTextCtrl::SetSelectionNStart | ( | int | selection,
|  | int | pos |
| ) |  |  |

Sets the position that starts the selection - this becomes the anchor.

void wxStyledTextCtrl::SetSelectionStart | ( | int | pos | ) |

Sets the position that starts the selection - this becomes the anchor.

void wxStyledTextCtrl::SetSelForeground | ( | bool | useSetting,
|  | const wxColour & | fore |
| ) |  |  |

Set the foreground colour of the main and additional selections and whether to use this setting.

void wxStyledTextCtrl::SetStatus | ( | int | statusCode | ) |

Change error status - 0 = OK.

void wxStyledTextCtrl::SetSTCCursor | ( | int | cursorType | ) |

Sets the cursor to one of the SC_CURSOR* values.

void wxStyledTextCtrl::SetSTCFocus | ( | bool | focus | ) |

Change internal focus flag.

void wxStyledTextCtrl::SetStyleBits | ( | int | bits | ) |

Divide each styling byte into lexical class bits (default: 5) and indicator bits (default: 3).

If a lexer requires more than 32 lexical states, then this is used to expand the possible states.

void wxStyledTextCtrl::SetStyleBytes | ( | int | length,
|  | char * | styleBytes |
| ) |  |  |

Set the styles for a segment of the document.

void wxStyledTextCtrl::SetStyling | ( | int | length,
|  | int | style |
| ) |  |  |

Change style from current styling position for length characters to a style and move the current styling position to after this newly styled segment.

void wxStyledTextCtrl::SetTabIndents | ( | bool | tabIndents | ) |

Sets whether a tab pressed when caret is within indentation indents.

void wxStyledTextCtrl::SetTabWidth | ( | int | tabWidth | ) |

Change the visible size of a tab to be a multiple of the width of a space character.

void wxStyledTextCtrl::SetTargetEnd | ( | int | pos | ) |

Sets the position that ends the target which is used for updating the document without affecting the scroll position.

void wxStyledTextCtrl::SetTargetStart | ( | int | pos | ) |

Sets the position that starts the target which is used for updating the document without affecting the scroll position.

void wxStyledTextCtrl::SetText | ( | const wxString & | text | ) |

Replace the contents of the document with the argument text.

void wxStyledTextCtrl::SetTextRaw | ( | const char * | text | ) |

Replace the contents of the document with the argument text.

void wxStyledTextCtrl::SetTwoPhaseDraw | ( | bool | twoPhase | ) |

In twoPhaseDraw mode, drawing is performed in two phases, first the background and then the foreground.

This avoids chopping off characters that overlap the next run.

void wxStyledTextCtrl::SetUndoCollection | ( | bool | collectUndo | ) |

Choose between collecting actions into the undo history and discarding them.

void wxStyledTextCtrl::SetUseAntiAliasing | ( | bool | useAA | ) |

Specify whether anti-aliased fonts should be used.

Will have no effect on some platforms, but on some (wxMac for example) can greatly improve performance.

void wxStyledTextCtrl::SetUseHorizontalScrollBar | ( | bool | show | ) |

Show or hide the horizontal scroll bar.

void wxStyledTextCtrl::SetUseTabs | ( | bool | useTabs | ) |

Indentation will only use space characters if useTabs is false, otherwise it will use a combination of tabs and spaces.

void wxStyledTextCtrl::SetUseVerticalScrollBar | ( | bool | show | ) |

Show or hide the vertical scroll bar.

void wxStyledTextCtrl::SetViewEOL | ( | bool | visible | ) |

Make the end of line characters visible or invisible.

void wxStyledTextCtrl::SetViewWhiteSpace | ( | int | viewWS | ) |

Make white space characters invisible, always visible or visible outside indentation.

void wxStyledTextCtrl::SetVirtualSpaceOptions | ( | int | virtualSpaceOptions | ) |

void wxStyledTextCtrl::SetVisiblePolicy | ( | int | visiblePolicy,
|  | int | visibleSlop |
| ) |  |  |

Set the way the display area is determined when a particular line is to be moved to by Find, FindNext, GotoLine, etc.

void wxStyledTextCtrl::SetVScrollBar | ( | wxScrollBar * | bar | ) |

Set the vertical scrollbar to use instead of the ont that's built-in.

void wxStyledTextCtrl::SetWhitespaceBackground | ( | bool | useSetting,
|  | const wxColour & | back |
| ) |  |  |

Set the background colour of all whitespace and whether to use this setting.

void wxStyledTextCtrl::SetWhitespaceChars | ( | const wxString & | characters | ) |

Set the set of characters making up whitespace for when moving or selecting by word.

Should be called after SetWordChars.

void wxStyledTextCtrl::SetWhitespaceForeground | ( | bool | useSetting,
|  | const wxColour & | fore |
| ) |  |  |

Set the foreground colour of all whitespace and whether to use this setting.

void wxStyledTextCtrl::SetWhitespaceSize | ( | int | size | ) |

Set the size of the dots used to mark space characters.

void wxStyledTextCtrl::SetWordChars | ( | const wxString & | characters | ) |

Set the set of characters making up words for when moving or selecting by word.

First sets defaults like SetCharsDefault.

void wxStyledTextCtrl::SetWrapIndentMode | ( | int | mode | ) |

Sets how wrapped sublines are placed.

Default is fixed.

void wxStyledTextCtrl::SetWrapMode | ( | int | mode | ) |

Sets whether text is word wrapped.

void wxStyledTextCtrl::SetWrapStartIndent | ( | int | indent | ) |

Set the start indent for wrapped lines.

void wxStyledTextCtrl::SetWrapVisualFlags | ( | int | wrapVisualFlags | ) |

Set the display mode of visual flags for wrapped lines.

void wxStyledTextCtrl::SetWrapVisualFlagsLocation | ( | int | wrapVisualFlagsLocation | ) |

Set the location of visual flags for wrapped lines.

void wxStyledTextCtrl::SetXCaretPolicy | ( | int | caretPolicy,
|  | int | caretSlop |
| ) |  |  |

Set the way the caret is kept visible when going sideway.

The exclusion zone is given in pixels.

void wxStyledTextCtrl::SetXOffset | ( | int | newOffset | ) |

Get and Set the xOffset (ie, horizontal scroll position).

void wxStyledTextCtrl::SetYCaretPolicy | ( | int | caretPolicy,
|  | int | caretSlop |
| ) |  |  |

Set the way the line the caret is on is kept visible.

The exclusion zone is given in lines.

void wxStyledTextCtrl::SetZoom | ( | int | zoom | ) |

Set the zoom level.

This number of points is added to the size of all fonts. It may be positive to magnify or negative to reduce.

void wxStyledTextCtrl::ShowLines | ( | int | lineStart,
|  | int | lineEnd |
| ) |  |  |

Make a range of lines visible.

void wxStyledTextCtrl::StartRecord | ( |  | ) |

Start notifying the container of all key presses and commands.

void wxStyledTextCtrl::StartStyling | ( | int | pos,
|  | int | mask |
| ) |  |  |

Set the current styling position to pos and the styling mask to mask.

The styling mask can be used to protect some bits in each styling byte from modification.

void wxStyledTextCtrl::StopRecord | ( |  | ) |

Stop notifying the container of all key presses and commands.

void wxStyledTextCtrl::StutteredPageDown | ( |  | ) |

Move caret to bottom of page, or one page down if already at bottom of page.

void wxStyledTextCtrl::StutteredPageDownExtend | ( |  | ) |

Move caret to bottom of page, or one page down if already at bottom of page, extending selection to new caret position.

void wxStyledTextCtrl::StutteredPageUp | ( |  | ) |

Move caret to top of page, or one page up if already at top of page.

void wxStyledTextCtrl::StutteredPageUpExtend | ( |  | ) |

Move caret to top of page, or one page up if already at top of page, extending selection to new caret position.

void wxStyledTextCtrl::StyleClearAll | ( |  | ) |

Clear all the styles and make equivalent to the global default style.

void wxStyledTextCtrl::StyleResetDefault | ( |  | ) |

Reset the default style to its state at startup.

void wxStyledTextCtrl::StyleSetBackground | ( | int | style,
|  | const wxColour & | back |
| ) |  |  |

Set the background colour of a style.

void wxStyledTextCtrl::StyleSetBold | ( | int | style,
|  | bool | bold |
| ) |  |  |

Set a style to be bold or not.

void wxStyledTextCtrl::StyleSetCase | ( | int | style,
|  | int | caseForce |
| ) |  |  |

Set a style to be mixed case, or to force upper or lower case.

void wxStyledTextCtrl::StyleSetChangeable | ( | int | style,
|  | bool | changeable |
| ) |  |  |

Set a style to be changeable or not (read only).

Experimental feature, currently buggy.

void wxStyledTextCtrl::StyleSetCharacterSet | ( | int | style,
|  | int | characterSet |
| ) |  |  |

Set the character set of the font in a style.

Converts the Scintilla character set values to a wxFontEncoding.

void wxStyledTextCtrl::StyleSetEOLFilled | ( | int | style,
|  | bool | filled |
| ) |  |  |

Set a style to have its end of line filled or not.

void wxStyledTextCtrl::StyleSetFaceName | ( | int | style,
|  | const wxString & | fontName |
| ) |  |  |

Set the font of a style.

void wxStyledTextCtrl::StyleSetFont | ( | int | styleNum,
|  | wxFont & | font |
| ) |  |  |

Set style size, face, bold, italic, and underline attributes from a wxFont's attributes.

void wxStyledTextCtrl::StyleSetFontAttr | ( | int | styleNum,
|  | int | size,
|  | const wxString & | faceName,
|  | bool | bold,
|  | bool | italic,
|  | bool | underline,
|  | wxFontEncoding | encoding = `wxFONTENCODING_DEFAULT` |
| ) |  |  |

Set all font style attributes at once.

void wxStyledTextCtrl::StyleSetFontEncoding | ( | int | style,
|  | wxFontEncoding | encoding |
| ) |  |  |

Set the font encoding to be used by a style.

void wxStyledTextCtrl::StyleSetForeground | ( | int | style,
|  | const wxColour & | fore |
| ) |  |  |

Set the foreground colour of a style.

void wxStyledTextCtrl::StyleSetHotSpot | ( | int | style,
|  | bool | hotspot |
| ) |  |  |

Set a style to be a hotspot or not.

void wxStyledTextCtrl::StyleSetItalic | ( | int | style,
|  | bool | italic |
| ) |  |  |

Set a style to be italic or not.

void wxStyledTextCtrl::StyleSetSize | ( | int | style,
|  | int | sizePoints |
| ) |  |  |

Set the size of characters of a style.

void wxStyledTextCtrl::StyleSetSpec | ( | int | styleNum,
|  | const wxString & | spec |
| ) |  |  |

Extract style settings from a spec-string which is composed of one or more of the following comma separated elements: bold turns on bold italic turns on italics fore:[name or #RRGGBB] sets the foreground colour back:[name or #RRGGBB] sets the background colour face:[facename] sets the font face name to use size:[num] sets the font size in points eol turns on eol filling underline turns on underlining.

void wxStyledTextCtrl::StyleSetUnderline | ( | int | style,
|  | bool | underline |
| ) |  |  |

Set a style to be underlined or not.

void wxStyledTextCtrl::StyleSetVisible | ( | int | style,
|  | bool | visible |
| ) |  |  |

Set a style to be visible or not.

void wxStyledTextCtrl::SwapMainAnchorCaret | ( |  | ) |

Swap that caret and anchor of the main selection.

void wxStyledTextCtrl::Tab | ( |  | ) |

If selection is empty or all on one line replace the selection with a tab character.

If more than one line selected, indent the lines.

void wxStyledTextCtrl::TargetFromSelection | ( |  | ) |

Make the target range start and end be the same as the selection range start and end.

int wxStyledTextCtrl::TextHeight | ( | int | line | ) |

Retrieve the height of a particular line of text in pixels.

int wxStyledTextCtrl::TextWidth | ( | int | style,
|  | const wxString & | text |
| ) |  |  |

Measure the pixel width of some text in a particular style.

NUL terminated text argument. Does not handle tab or control characters.

void wxStyledTextCtrl::ToggleCaretSticky | ( |  | ) |

Switch between sticky and non-sticky: meant to be bound to a key.

void wxStyledTextCtrl::ToggleFold | ( | int | line | ) |

Switch a header line between expanded and contracted.

virtual void wxStyledTextCtrl::Undo | ( |  | ) | `[virtual]`

Undo one action in the undo history.

void wxStyledTextCtrl::UpperCase | ( |  | ) |

Transform the selection to upper case.

void wxStyledTextCtrl::UsePopUp | ( | bool | allowPopUp | ) |

Set whether a pop up menu is displayed automatically when the user presses the wrong mouse button.

void wxStyledTextCtrl::UserListShow | ( | int | listType,
|  | const wxString & | itemList |
| ) |  |  |

Display a list of strings and send notification when user chooses one.

void wxStyledTextCtrl::VCHome | ( |  | ) |

Move caret to before first visible character on line.

If already there move to first character on line.

void wxStyledTextCtrl::VCHomeExtend | ( |  | ) |

Like VCHome but extending selection to new caret position.

void wxStyledTextCtrl::VCHomeRectExtend | ( |  | ) |

Move caret to before first visible character on line.

If already there move to first character on line. In either case, extend rectangular selection to new caret position.

void wxStyledTextCtrl::VCHomeWrap | ( |  | ) |

void wxStyledTextCtrl::VCHomeWrapExtend | ( |  | ) |

int wxStyledTextCtrl::VisibleFromDocLine | ( | int | line | ) |

Find the display line of a document line taking hidden lines into account.

int wxStyledTextCtrl::WordEndPosition | ( | int | pos,
|  | bool | onlyWordCharacters |
| ) |  |  |

Get position of end of word.

void wxStyledTextCtrl::WordLeft | ( |  | ) |

Move caret left one word.

void wxStyledTextCtrl::WordLeftEnd | ( |  | ) |

Move caret left one word, position cursor at end of word.

void wxStyledTextCtrl::WordLeftEndExtend | ( |  | ) |

Move caret left one word, position cursor at end of word, extending selection to new caret position.

void wxStyledTextCtrl::WordLeftExtend | ( |  | ) |

Move caret left one word extending selection to new caret position.

void wxStyledTextCtrl::WordPartLeft | ( |  | ) |

Move to the previous change in capitalisation.

void wxStyledTextCtrl::WordPartLeftExtend | ( |  | ) |

Move to the previous change in capitalisation extending selection to new caret position.

void wxStyledTextCtrl::WordPartRight | ( |  | ) |

Move to the change next in capitalisation.

void wxStyledTextCtrl::WordPartRightExtend | ( |  | ) |

Move to the next change in capitalisation extending selection to new caret position.

void wxStyledTextCtrl::WordRight | ( |  | ) |

Move caret right one word.

void wxStyledTextCtrl::WordRightEnd | ( |  | ) |

Move caret right one word, position cursor at end of word.

void wxStyledTextCtrl::WordRightEndExtend | ( |  | ) |

Move caret right one word, position cursor at end of word, extending selection to new caret position.

void wxStyledTextCtrl::WordRightExtend | ( |  | ) |

Move caret right one word extending selection to new caret position.

int wxStyledTextCtrl::WordStartPosition | ( | int | pos,
|  | bool | onlyWordCharacters |
| ) |  |  |

Get position of start of word.

int wxStyledTextCtrl::WrapCount | ( | int | line | ) |

The number of display lines needed to wrap a document line.

void wxStyledTextCtrl::ZoomIn | ( |  | ) |

Magnify the displayed text by increasing the sizes by 1 point.

void wxStyledTextCtrl::ZoomOut | ( |  | ) |

Make the displayed text smaller by decreasing the sizes by 1 point.

|  | [ top ]